Index: trunk/admin/modules/Elezioni/controllo_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/controllo_voti.php	(revision 260)
+++ trunk/admin/modules/Elezioni/controllo_voti.php	(revision 261)
@@ -26,6 +26,6 @@
 $perms=ChiSei($id_cons_gen);
 if ($perms<16 or !$id_cons_gen) die("$perms Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
-$res = mysql_query("SELECT t1.tipo_cons,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
-list($tipo_cons,$id_cons) = mysql_fetch_row($res);
+$res = mysql_query("SELECT t1.tipo_cons,t2.id_cons,t2.solo_gruppo,t2.disgiunto FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
+list($tipo_cons,$id_cons,$dettnulli,$disgiunto) = mysql_fetch_row($res);
 $res = mysql_query("SELECT genere,voto_g,voto_l FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' " , $dbi);
 	list($genere,$votog,$votol) = mysql_fetch_row($res);
@@ -120,5 +120,5 @@
 		$scrutinate++; 
 	// fine inserimento	
-		if (($genere==2 or $genere==3 or $genere==5) and !$votog) {
+		if (($genere==2 or $genere==3 or $genere==5) and !$votog and !$dettnulli) {
 			$respref = mysql_query("select sum(voti) from ".$prefix."_ele_voti_gruppo where id_sez='$id'", $dbi);
 			list ($gruppref) = mysql_fetch_row($respref); 
@@ -151,5 +151,5 @@
 		$righe .= "<td>".number_format($validi,0,',','.')."</td><td>$nulli</td><td>$bianchi</td><td>$contestati</td>";
 		$g_err=0;
-		if (($genere==2 or $genere==3 or $genere==5) and $pag==1 and !$votog) {
+		if (($genere==2 or $genere==3 or $genere==5) and $pag==1 and !$votog and !$dettnulli) {
 			if ($gruppref!=$validi) {
 				$g_err=1;
@@ -157,8 +157,8 @@
 			}
 		}
-		$controllo1=$validi+$nulli+$bianchi+$contestati+$voti_nulli+$solol; #prova
-		$controllo2=$si+$no;
+		$controllo1=$validi+$nulli+$bianchi+$contestati+$voti_nulli; #prova
+		if($pag==0) $controllo2=$si+$no; else $controllo2=$si+$no+$vot_nul_lis+$cont_lis;
 		if($genere==5 and !$votog) #$validi+$nulli+$bianchi+$vcont+$vn 
-			if($pag==0 and !$votog or $fascia<=$limite) {$controllo1=$validi+$nulli+$bianchi+$contestati+$voti_nulli+$solol;} else { $controllo1=$val_lista+$nulli+$bianchi+$contestati+$voti_nulli+$cont_lis+$vot_nul_lis+$solog;$controllo2=$si+$no-$solol+$cont_lis+$vot_nul_lis;}
+			if($pag==0 and !$votog or $fascia<=$limite) {$controllo1=$validi+$nulli+$bianchi+$contestati+$voti_nulli;} else { $controllo1=$val_lista+$nulli+$bianchi+$contestati+$voti_nulli+$cont_lis+$vot_nul_lis+$solog;$controllo2=$si+$no-$solol+$cont_lis+$vot_nul_lis;}
 		if ($voti==$controllo1 and $validi==$controllo2 and !$g_err){
 			$righe .= "<td>"._OK."</td></tr>\n";
@@ -224,5 +224,5 @@
             echo "<b>"._NEXT_MATCH."</b></a></td>";
         }
-    }elseif(($genere==5 and $fascia>=$limite) or ($genere==3) or ($genere==2) or $genere==1){ //se vi sono raggruppamenti
+    }elseif(($genere==5 and ($fascia>=$limite or $dettnulli)) or ($genere==3) or ($genere==2) or $genere==1){ //se vi sono raggruppamenti
 		$pag=($pag==0 ? 1:0);
 		echo "<td colspan=\"5\" align=\"center\" bgcolor=\"$bgcolor1\"><a href=\"admin.php?op=controllo_voti&amp;id_cons_gen=$id_cons_gen&amp;pag=$pag\"><b>";
Index: trunk/admin/modules/Elezioni/ele_riepilogo.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_riepilogo.php	(revision 260)
+++ trunk/admin/modules/Elezioni/ele_riepilogo.php	(revision 261)
@@ -107,4 +107,5 @@
 	echo "<fieldset><legend>"._GRUPPO."</legend>";
 	echo "<table border=\"1\" width=\"100%\"><tr><th colspan=\"2\" rowspan=\"2\" ALIGN=\"CENTER\"><b>Candidato</b></th><th rowspan=\"2\" ALIGN=\"CENTER\">"._VALIDI."</th><th colspan=\"2\" ALIGN=\"CENTER\">"._SOLO_GRUPPO."</th></tr><tr><th ALIGN=\"CENTER\">Senza indicazione di lista</th><th>"._VOTINULLI." di Lista</th></TR>";
+	$t_voti=0;$t_solo_gruppo=0;$t_nulli_lista=0;
 	while(list($id_gruppo,$num_gruppo,$desc) = mysql_fetch_row($res)){
 		$resv = mysql_query("SELECT sum(voti),sum(solo_gruppo) from ".$prefix."_ele_voti_gruppo where id_gruppo='$id_gruppo'", $dbi);
@@ -112,7 +113,8 @@
 		$resv = mysql_query("SELECT sum(t1.nulli_lista) from ".$prefix."_ele_voti_lista as t1 left join ".$prefix."_ele_lista as t2 on t1.id_lista=t2.id_lista where t2.id_gruppo='$id_gruppo'", $dbi);
 		list($nulli_lista)=mysql_fetch_row($resv);
-			
+		$t_voti+=$voti;$t_solo_gruppo+=$solo_gruppo;$t_nulli_lista+=$nulli_lista;	
 		ECHO "<TR><TD>".$num_gruppo."</TD><TD>".$desc."</TD><TD ALIGN=\"RIGHT\">".number_format($voti,0,',','.')."</TD><TD ALIGN=\"RIGHT\">".number_format($solo_gruppo,0,',','.')."</TD><TD ALIGN=\"RIGHT\">".number_format($nulli_lista,0,',','.')."</TD></TD></TR>";
 	}
+	echo "<tr><th colspan=\"2\" rowspan=\"2\" ALIGN=\"CENTER\"><b>Totale</b></th><th rowspan=\"2\"  ALIGN=\"RIGHT\">$t_voti</th><th ALIGN=\"RIGHT\">$t_solo_gruppo</th><th ALIGN=\"RIGHT\">$t_nulli_lista</th></tr>";
 	ECHO "</table><br/></fieldset><br/><br/><br/>";
 
Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 260)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 261)
Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 260)
+++ trunk/admin/versione.php	(revision 261)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "2.0 rev 260";
+$versione = "2.0 rev 261";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 24 maggio 2017</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 27 maggio 2017</i>)";
 
 ?> 
Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 260)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 261)
@@ -63,6 +63,6 @@
 $res = mysql_query("SELECT t1.descrizione, t1.tipo_cons,t2.genere, t2.voto_g, t2.voto_l, t2.voto_c, t2.circo FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_tipo as t2 where t1.tipo_cons=t2.tipo_cons and t1.id_cons_gen='$id_cons_gen' ", $dbi);
 list($descr_cons,$tipo_cons,$genere,$votog,$votol,$votoc,$circo) = mysql_fetch_row($res);
-$res = mysql_query("SELECT t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
-list($id_cons) = mysql_fetch_row($res);
+$res = mysql_query("SELECT t2.id_cons,t2.solo_gruppo,t2.disgiunto FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
+list($id_cons,$dettnulli,$disgiunto) = mysql_fetch_row($res);
 
 
@@ -78,5 +78,5 @@
 function gruppo_circo(){
 	global $prefix, $dbi, $descr_cons, $id_cons, $id_cons_gen,$tipo_cons,$votog,$votol,$votoc,$circo, $genere,$id_gruppo,$id_lista,$bgcolor1,$bgcolor2,$id_comune,$descr_comune,$id_circ;
-	global $id_comune,$id_cons_gen,$op,$minsez,$id_lista,$id_circ,$csv,$min,$orienta,$formato,
+	global $id_comune,$id_cons_gen,$op,$minsez,$id_lista,$id_circ,$csv,$min,$orienta,$formato,$dettnulli,$disgiunto,
 	$orvert,$offset,$offsetsez,$perc,$info,$files,$nomefile;
 	$nomefile="";
@@ -516,18 +516,23 @@
 		$scrunulli=0;
 		$grpercscru=0;
-		if($op=="gruppo_sezione")
-			$resperc=mysql_query("select sum(validi),sum(nulli+bianchi+contestati+voti_nulli+solo_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
-                elseif($op=="lista_sezione" and $votog)
-                        $resperc=mysql_query("select sum(validi),sum(nulli+bianchi+contestati+voti_nulli) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
-			
-		elseif($op=="lista_sezione")
-			$resperc=mysql_query("select sum(validi_lista),sum(nulli+bianchi+contestati+voti_nulli+contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
+		$altri=0;
+		$votiscru=0;
+		if($op=="gruppo_sezione"){
+			$resperc=mysql_query("select sum(validi),sum(solo_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
+			$votiperc=mysql_query("select sum(voti) from ".$prefix."_ele_voti_gruppo where id_sez='".$res[1]."'",$dbi);
+		}	
+		elseif($op=="lista_sezione"){
+			$resperc=mysql_query("select sum(validi),sum(contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
+			$votiperc=mysql_query("select sum(voti) from ".$prefix."_ele_voti_lista where id_sez='".$res[1]."'",$dbi);
+		}	
 		if (isset($resperc) and $resperc)
 			list($scruvalidi,$scrunulli)=mysql_fetch_row($resperc);
+		if (isset($votiperc) and $votiperc)
+			list($votiscru)=mysql_fetch_row($votiperc);
 		$resperc = mysql_query("select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_sez='".$res[1]."' group by data,orario order by data desc, orario desc limit 0,1 ",$dbi);
 		if ($resperc)
 			list($totschede)=mysql_fetch_row($resperc);
-		if (isset($totschede) and $totschede>0 )
-			$grpercscru=number_format(($scruvalidi+$scrunulli)*100/$totschede,0);
+		if (isset($scruvalidi) and $scruvalidi>0 )
+			$grpercscru=$votiscru ? number_format(($votiscru+$scrunulli)*100/$scruvalidi,0) : 0;
 
 ###################			<span class=\"red\"><i>".$temp3[$key]." %</i></span>		
@@ -575,5 +580,5 @@
 								$valar[($z)][$num_cand]=$voti;
 					}
-					foreach ($valar as $key=>$val){
+					foreach ($valar as $key=>$val){ 
 						if(isset($votitot[($key)]))
 							$percar[$key]=arrayperc($val,$votitot[($key)]);
@@ -621,5 +626,5 @@
 				$ar[(2+$offsetsez-$minsez)][0]="<b>"._TOT."<br />"._COMPLESSIVO."</b>";
 				if(isset($temp)) {
-					 if (!isset($tab15)) $tab15="candidati";
+					 if (!isset($tab15) or !$tab15) $tab15="candidati";
                      if($tab15=="gruppo"){
                           $votigl=" sum(validi),sum(nulli),sum(bianchi),sum(contestati),sum(voti_nulli)";
@@ -627,6 +632,6 @@
                           $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli)";
                      }else{
-                          //$votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli_lista)";
-			  $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli)";
+                          if($dettnulli) $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli_lista)";
+			  else $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli)";
                      }
                     if($circo) 
@@ -634,10 +639,10 @@
 LEFT JOIN soraldo_ele_sede AS t2 ON t1.id_sede = t2.id_sede WHERE t1.id_cons='$id_cons' and t2.id_circ=$id_circ",$dbi);
                     else
-						$resv = mysql_query("SELECT $votigl from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
+						$resv = mysql_query("SELECT $votigl from ".$prefix."_ele_sezioni as t1 where t1.id_cons='$id_cons' and  t1.id_sez=(select t2.id_sez from ".$prefix."_ele_voti_$tab15 as t2 where t2.id_sez=t1.id_sez group by t2.id_sez)",$dbi);
 					list ($sevaltot,$senultot,$sebiatot,$secontot,$sevnutot)= mysql_fetch_row($resv);
 					$voticompl=$sevaltot+$senultot+$sebiatot+$secontot+$sevnutot;
 					$resvt = mysql_query("SELECT voti from ".$prefix."_ele_voti_$tab15 where id_cons='$id_cons'",$dbi);
 					if($resvt) list($votlt)=mysql_fetch_row($resvt); else $votlt=0;
-					$temp3=arrayperc($tempar,$sevaltot);
+					if($perc) $temp3=arrayperc($tempar,$sevaltot);
 					while (list($key,$voti)= each($temp)) {
 						if ($perc=='true' and $voticompl) 
@@ -652,5 +657,5 @@
 				$key=$offset+1;
 				$tmp=array($sevaltot,$senultot,$sebiatot,$secontot,$sevnutot);
-				$temp3=arrayperc($tmp,$voticompl);
+				if($perc) $temp3=arrayperc($tmp,$voticompl);
  				while(list($k,$voti)= each($tmp)) {
 					
Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 260)
+++ trunk/client/modules/Elezioni/index.php	(revision 261)
@@ -92,5 +92,5 @@
 $res = mysql_query("SELECT limite FROM ".$prefix."_ele_conf where id_conf='$hondt'" , $dbi);
 list($limite) = mysql_fetch_row($res);
-$res = mysql_query("SELECT fascia FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ", $dbi);
+$res = mysql_query("SELECT id_fascia FROM ".$prefix."_ele_cons_comune where id_comune='$id_comune' and id_cons='$id_cons'", $dbi);
 list($fascia) = mysql_fetch_row($res);
 if(!$id_circ){		
Index: trunk/client/temi/altro/menu.php
===================================================================
--- trunk/client/temi/altro/menu.php	(revision 260)
+++ trunk/client/temi/altro/menu.php	(revision 261)
@@ -14,7 +14,10 @@
 Funzione Menu a cascata
 *************************/
-	$sqlcomu="select descrizione,fascia from ".$prefix."_ele_comuni where id_comune=$id_comune";
+	$sqlcomu="select descrizione from ".$prefix."_ele_comuni where id_comune=$id_comune";
 	$rescomu= mysql_query("$sqlcomu",$dbi);
-	list($descr_com,$fascia)=mysql_fetch_row($rescomu);
+	list($descr_com)=mysql_fetch_row($rescomu);
+	$sqlcomu="select id_fascia from ".$prefix."_ele_cons_comune where id_comune=$id_comune and id_cons='$id_cons'";
+	$rescomu= mysql_query("$sqlcomu",$dbi);
+	list($fascia)=mysql_fetch_row($rescomu);
         echo "\n";
 	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;width=100%;"><tr><td>
Index: trunk/client/temi/blog/menu.php
===================================================================
--- trunk/client/temi/blog/menu.php	(revision 260)
+++ trunk/client/temi/blog/menu.php	(revision 261)
@@ -14,7 +14,10 @@
 Funzione Menu a cascata
 *************************/
-	$sqlcomu="select descrizione,fascia from ".$prefix."_ele_comuni where id_comune=$id_comune";
+	$sqlcomu="select descrizione from ".$prefix."_ele_comuni where id_comune=$id_comune";
 	$rescomu= mysql_query("$sqlcomu",$dbi);
-	list($descr_com,$fascia)=mysql_fetch_row($rescomu);
+	list($descr_com)=mysql_fetch_row($rescomu);
+	$sqlcomu="select id_fascia from ".$prefix."_ele_cons_comune where id_comune=$id_comune and id_cons='$id_cons'";
+	$rescomu= mysql_query("$sqlcomu",$dbi);
+	list($fascia)=mysql_fetch_row($rescomu);
         
 	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
Index: trunk/client/temi/default/menu.php
===================================================================
--- trunk/client/temi/default/menu.php	(revision 260)
+++ trunk/client/temi/default/menu.php	(revision 261)
@@ -14,8 +14,11 @@
 Funzione Menu a cascata
 *************************/
-	$sqlcomu="select descrizione,fascia from ".$prefix."_ele_comuni where id_comune=$id_comune";
+	$sqlcomu="select descrizione from ".$prefix."_ele_comuni where id_comune=$id_comune";
 	$rescomu= mysql_query("$sqlcomu",$dbi);
-	list($descr_com,$fascia)=mysql_fetch_row($rescomu);
-        
+	list($descr_com)=mysql_fetch_row($rescomu);
+	$sqlcomu="select id_fascia from ".$prefix."_ele_cons_comune where id_comune=$id_comune and id_cons='$id_cons'";
+	$rescomu= mysql_query("$sqlcomu",$dbi);
+	list($fascia)=mysql_fetch_row($rescomu);
+       
 	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
   <header class="main-header">
Index: trunk/client/temi/facebook/menu.php
===================================================================
--- trunk/client/temi/facebook/menu.php	(revision 260)
+++ trunk/client/temi/facebook/menu.php	(revision 261)
@@ -26,7 +26,10 @@
 	$button="<br /><object><noscript><div><input name=\"vai\" type=\"image\" src=\"modules/Elezioni/images/ok2.jpg\" alt=\"ok\" title=\"ok\" /></div></noscript></object>";
 	
-	$sqlcomu="select descrizione,fascia from ".$prefix."_ele_comuni where id_comune=$id_comune";
+	$sqlcomu="select descrizione from ".$prefix."_ele_comuni where id_comune=$id_comune";
 	$rescomu= mysql_query("$sqlcomu",$dbi);
-	list($descr_com,$fascia)=mysql_fetch_row($rescomu);
+	list($descr_com)=mysql_fetch_row($rescomu);
+	$sqlcomu="select id_fascia from ".$prefix."_ele_cons_comune where id_comune=$id_comune and id_cons='$id_cons'";
+	$rescomu= mysql_query("$sqlcomu",$dbi);
+	list($fascia)=mysql_fetch_row($rescomu);
         echo '<style type="text/css">
 		html,body{margin:0;padding:0}
Index: trunk/client/temi/realistic/menu.php
===================================================================
--- trunk/client/temi/realistic/menu.php	(revision 260)
+++ trunk/client/temi/realistic/menu.php	(revision 261)
@@ -26,7 +26,10 @@
 	$button="<br /><object><noscript><div><input name=\"vai\" type=\"image\" src=\"modules/Elezioni/images/ok2.jpg\" alt=\"ok\" title=\"ok\" /></div></noscript></object>";
 	
-	$sqlcomu="select descrizione,fascia from ".$prefix."_ele_comuni where id_comune=$id_comune";
+	$sqlcomu="select descrizione from ".$prefix."_ele_comuni where id_comune=$id_comune";
 	$rescomu= mysql_query("$sqlcomu",$dbi);
-	list($descr_com,$fascia)=mysql_fetch_row($rescomu);
+	list($descr_com)=mysql_fetch_row($rescomu);
+	$sqlcomu="select id_fascia from ".$prefix."_ele_cons_comune where id_comune=$id_comune and id_cons='$id_cons'";
+	$rescomu= mysql_query("$sqlcomu",$dbi);
+	list($fascia)=mysql_fetch_row($rescomu);
         echo '
 	    <div id="contiene">
Index: trunk/client/temi/spectral/menu.php
===================================================================
--- trunk/client/temi/spectral/menu.php	(revision 260)
+++ trunk/client/temi/spectral/menu.php	(revision 261)
@@ -26,7 +26,10 @@
 	$button="<br /><object><noscript><div><input name=\"vai\" type=\"image\" src=\"modules/Elezioni/images/ok2.jpg\" alt=\"ok\" title=\"ok\" /></div></noscript></object>";
 	
-	$sqlcomu="select descrizione,fascia from ".$prefix."_ele_comuni where id_comune=$id_comune";
+	$sqlcomu="select descrizione from ".$prefix."_ele_comuni where id_comune=$id_comune";
 	$rescomu= mysql_query("$sqlcomu",$dbi);
-	list($descr_com,$fascia)=mysql_fetch_row($rescomu);
+	list($descr_com)=mysql_fetch_row($rescomu);
+	$sqlcomu="select id_fascia from ".$prefix."_ele_cons_comune where id_comune=$id_comune and id_cons='$id_cons'";
+	$rescomu= mysql_query("$sqlcomu",$dbi);
+	list($fascia)=mysql_fetch_row($rescomu);
         echo '
 	    <div id="contiene">
Index: trunk/client/temi/stylized/menu.php
===================================================================
--- trunk/client/temi/stylized/menu.php	(revision 260)
+++ trunk/client/temi/stylized/menu.php	(revision 261)
@@ -14,7 +14,10 @@
 Funzione Menu a cascata
 *************************/
-	$sqlcomu="select descrizione,fascia from ".$prefix."_ele_comuni where id_comune=$id_comune";
+	$sqlcomu="select descrizione from ".$prefix."_ele_comuni where id_comune=$id_comune";
 	$rescomu= mysql_query("$sqlcomu",$dbi);
-	list($descr_com,$fascia)=mysql_fetch_row($rescomu);
+	list($descr_com)=mysql_fetch_row($rescomu);
+	$sqlcomu="select id_fascia from ".$prefix."_ele_cons_comune where id_comune=$id_comune and id_cons='$id_cons'";
+	$rescomu= mysql_query("$sqlcomu",$dbi);
+	list($fascia)=mysql_fetch_row($rescomu);
         
 	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
Index: trunk/client/temi/tour/menu.php
===================================================================
--- trunk/client/temi/tour/menu.php	(revision 260)
+++ trunk/client/temi/tour/menu.php	(revision 261)
@@ -14,7 +14,10 @@
 Funzione Menu a cascata
 *************************/
-	$sqlcomu="select descrizione,fascia from ".$prefix."_ele_comuni where id_comune=$id_comune";
+	$sqlcomu="select descrizione from ".$prefix."_ele_comuni where id_comune=$id_comune";
 	$rescomu= mysql_query("$sqlcomu",$dbi);
-	list($descr_com,$fascia)=mysql_fetch_row($rescomu);
+	list($descr_com)=mysql_fetch_row($rescomu);
+	$sqlcomu="select id_fascia from ".$prefix."_ele_cons_comune where id_comune=$id_comune and id_cons='$id_cons'";
+	$rescomu= mysql_query("$sqlcomu",$dbi);
+	list($fascia)=mysql_fetch_row($rescomu);
         
 	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
Index: trunk/client/temi/yellowblu/menu.php
===================================================================
--- trunk/client/temi/yellowblu/menu.php	(revision 260)
+++ trunk/client/temi/yellowblu/menu.php	(revision 261)
@@ -14,7 +14,10 @@
 Funzione Menu a cascata
 *************************/
-	$sqlcomu="select descrizione,fascia from ".$prefix."_ele_comuni where id_comune=$id_comune";
+	$sqlcomu="select descrizione from ".$prefix."_ele_comuni where id_comune=$id_comune";
 	$rescomu= mysql_query("$sqlcomu",$dbi);
-	list($descr_com,$fascia)=mysql_fetch_row($rescomu);
+	list($descr_com)=mysql_fetch_row($rescomu);
+	$sqlcomu="select id_fascia from ".$prefix."_ele_cons_comune where id_comune=$id_comune and id_cons='$id_cons'";
+	$rescomu= mysql_query("$sqlcomu",$dbi);
+	list($fascia)=mysql_fetch_row($rescomu);
         
 	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 260)
+++ trunk/client/versione.php	(revision 261)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "2.0 rev 260";
+$versione = "2.0 rev 261";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 24 maggio 2017</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 27 maggio 2017</i>)";
 
 