Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 264)
+++ /trunk/admin/versione.php	(revision 265)
@@ -1,6 +1,6 @@
 <?php
-$versione = "2.0 rev 263";
+$versione = "2.0 rev 265";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 7 giugno 2017</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 11 giugno 2017</i>)";
 
 ?> 
Index: /trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- /trunk/client/modules/Elezioni/gruppo.php	(revision 264)
+++ /trunk/client/modules/Elezioni/gruppo.php	(revision 265)
@@ -4,5 +4,5 @@
 /* by Luciano Apolito & Roberto Gigli                                   */
 /* http://www.eleonline.it                                              */
-/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
+/* info@eleonline.it                     rgigli@libero.it               */
 /************************************************************************/
 
@@ -28,15 +28,15 @@
 if (isset($param['offsetsez'])) $offsetsez=intval($param['offsetsez']); else $offsetsez='';
 if (isset($param['perc'])) $perc=$param['perc']; else $perc='';
-if (isset($param['info'])) get_magic_quotes_gpc() ? $info=$param['info']:$info=addslashes($param['info']); else $info='';
-if (isset($param['files'])) get_magic_quotes_gpc() ? $files=$param['files']:$files=addslashes($param['files']); else $files='';
+if (isset($param['info'])) $info=addslashes($param['info']); else $info='';
+if (isset($param['files'])) $files=addslashes($param['files']); else $files='';
 if (isset($param['voti_lista'])) $voti_lista=intval($param['voti_lista']); else $voti_lista= 0;
 if (isset($param['perc_lista'])) $perc_lista=$param['perc_lista']; else $perc_lista= 0;
-if (isset($param['lettera'])) get_magic_quotes_gpc() ? $lettera=$param['lettera']:$lettera=addslashes($param['lettera']); else $lettera='';
+if (isset($param['lettera'])) $lettera=addslashes($param['lettera']); else $lettera='';
 if (isset($param['id_gruppo'])) $id_gruppo=intval($param['id_gruppo']); else $id_gruppo='';
 #if (isset($param['tipo_cons'])) $tipo_cons=intval($param['tipo_cons']); else $tipo_cons='';
 if (isset($param['pdf'])) $pdf=intval($param['pdf']); else $pdf='';
-if (isset($param['orienta'])) get_magic_quotes_gpc() ? $orienta=$param['orienta']:$orienta=addslashes($param['orienta']); else $orienta='';
-if (isset($param['datipdf'])) get_magic_quotes_gpc() ? $datipdf=$param['datipdf']:$datipdf=addslashes($param['datipdf']); else $datipdf='';
-if (isset($param['formato'])) get_magic_quotes_gpc() ? $formato=$param['formato']:$formato=addslashes($param['formato']); else $formato='';
+if (isset($param['orienta'])) $orienta=addslashes($param['orienta']); else $orienta='';
+if (isset($param['datipdf'])) $datipdf=addslashes($param['datipdf']); else $datipdf='';
+if (isset($param['formato'])) $formato=addslashes($param['formato']); else $formato='';
 # anti-xss nov. 2009 
 $id_comune=htmlentities($id_comune);
@@ -63,5 +63,5 @@
 $res = mysql_query("SELECT t1.descrizione, t1.tipo_cons,t2.genere, t2.voto_g, t2.voto_l, t2.voto_c, t2.circo FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_tipo as t2 where t1.tipo_cons=t2.tipo_cons and t1.id_cons_gen='$id_cons_gen' ", $dbi);
 list($descr_cons,$tipo_cons,$genere,$votog,$votol,$votoc,$circo) = mysql_fetch_row($res);
-$res = mysql_query("SELECT t2.id_cons,t2.solo_gruppo,t2.disgiunto FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
+$res = mysql_query("SELECT t2.id_cons,t2.solo_gruppo,0 FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
 list($id_cons,$dettnulli,$disgiunto) = mysql_fetch_row($res);
 
@@ -177,13 +177,15 @@
 			list($minsez)=mysql_fetch_row($res_min);
 			}
+		elseif (strstr( $op,'circo'))
+			$res_sez = mysql_query("SELECT count(num_circ),min(num_circ),max(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons",$dbi);
 		else
-			$res_sez = mysql_query("SELECT count(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons",$dbi);
-		list($tot_sez)=mysql_fetch_row($res_sez);
+			$res_sez = mysql_query("SELECT count(num_sez),min(num_sez),max(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons",$dbi);
+		list($tot_sez,$numsezmin,$numsezmax)=mysql_fetch_row($res_sez); 
 		$num_sez=$tot_sez;//mysql_data_seek($res_sez,0);
-		if ($circo) $offsetsez=$num_sez+$minsez-1;//setta offsetsez sull'ultima sezione della circoscrizione
-		if(strstr( $op,"circo")) {
-				$res_sez = mysql_query("SELECT count(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons",$dbi);  //estrae il numero delle circoscrizioni
-				list($num_sez)=mysql_fetch_row($res_sez);
-			}
+		if ($circo) $offsetsez=$numsezmax; //$num_sez+$minsez-1;//setta offsetsez sull'ultima sezione della circoscrizione
+#		if(strstr( $op,"circo")) {
+#				$res_sez = mysql_query("SELECT count(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons",$dbi);  //estrae il numero delle circoscrizioni
+#				list($num_sez)=mysql_fetch_row($res_sez);
+#			}
 #Tolgo la scelta della circoscrizione o collegio perché gestita per tutte le pagine in index.php
 /*			if ($circo){ // elenco per scelta circoscrizione
@@ -299,10 +301,11 @@
 				group by $t.num_$tab15,$tab3
 				order by $tab3,$t.num_$tab15",$dbi);
+			
 			}
 			if ($res_scr) list($tot_scr)=mysql_fetch_row($res_scr);else $tot_scr=0;
 			if ($res_cand) $num_cand=mysql_num_rows($res_cand); else $num_cand=0;
-			if(!$circo){
-				if (!(0 < $minsez and $minsez<=$num_sez)) $minsez=1;
-				if (!(0<$offsetsez and $offsetsez<=$num_sez)) $offsetsez=$num_sez;
+			if(!$circo){ 
+				if (!(0 < $minsez and $minsez<=$numsezmax)) $minsez=1;
+				if (!(0<$offsetsez and $offsetsez<=$numsezmax)) $offsetsez=$numsezmax;
 			}
 			if (!(0 < $min and $min<=$num_cand)) $min=1;
@@ -334,18 +337,25 @@
 				if(!$circo){
 				echo "<p>"._SCEGLI." $tipo1 n. <input  name=\"minsez\" value=\"$minsez\" size=\"4\" ></input>";
-				echo _A." n. <input  name=\"offsetsez\" value=\"$offsetsez\" size=\"4\" ></input> (max. $num_sez)";
+				echo _A." n. <input  name=\"offsetsez\" value=\"$offsetsez\" size=\"4\" ></input> (max. $numsezmax)";
 				}
 				# pagine
-				$diff=($offsetsez-$minsez);
-				if ($minsez>1){
-					$minsez_p= ($minsez-$diff)>1 ? $minsez-$diff-1:1;
+############
+if (strstr( $op,'circo'))
+$resnsez = mysql_query("SELECT count(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons and num_circ>=$minsez and num_circ<=$offsetsez",$dbi);
+else
+$resnsez = mysql_query("SELECT count(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons and num_sez>=$minsez and num_sez<=$offsetsez",$dbi);
+                list($diff)=mysql_fetch_row($resnsez);
+########
+			#	$diff=($offsetsez-$minsez);
+			if ($minsez>1){
+					$minsez_p= ($minsez-$diff)>1 ? $minsez-$diff:1;
 					 
-					$offsetsez_p=$offsetsez-$diff-1;
+					$offsetsez_p=$offsetsez-$diff;
 								echo "<div style=\"float: right; width:200px;margin-left:10px;margin-right:400px;font-size:12px \"><a href=\"modules.php?name=Elezioni&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;op=$op&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez_p&amp;offsetsez=$offsetsez_p&amp;perc=$perc&amp;id_lista=$id_lista\"> <- $tipo2 Precedenti</a></div>";
 				}else{echo "";}
 
-				if ($offsetsez<$num_sez){
-					$minsez_s=$minsez+$diff+1;
-					$offsetsez_s= ($offsetsez+$diff)>$num_sez ? $num_sez: $offsetsez+$diff+1;
+				if ($offsetsez<$numsezmax){
+					$minsez_s=$minsez+$diff;
+					$offsetsez_s= ($offsetsez+$diff)>$num_sez ? $num_sez: $offsetsez+$diff;
 
 								echo "<div style=\"float: left; width:200px; margin-left:10px;\"><a href=\"modules.php?name=Elezioni&amp;file=index&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez_s&amp;offsetsez=$offsetsez_s&amp;perc=$perc&amp;id_lista=$id_lista\"> $tipo2 Successive -></a></div>";
@@ -490,5 +500,4 @@
 				echo "</h5>&nbsp;";
 			}
-			
 			$y=1;
 			$ar[0][0]=$tipo3;
@@ -506,9 +515,14 @@
 		      // sandro: carica i numeri di sezione dal DB - giugno 2009
 		      // caso: sezioni in collegi diversi non consecutive
+			if (strstr( $op,'circo'))
+				$res_numsez=mysql_query("select num_circ,id_circ from ".$prefix."_ele_circoscrizione where id_cons='$id_cons' and num_circ>='$minsez' and num_circ<='$offsetsez' order by num_circ",$dbi);
+			else{		      
 			if($circo) { $secirco=" and t2.id_circ=$id_circ";} else $secirco="and t1.num_sez >= $minsez and t1.num_sez <= $offsetsez";
 				$numsezioni = $offsetsez-$ominsez;
 				$res_numsez = mysql_query("SELECT t1.num_sez,t1.id_sez from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons=$id_cons and t1.id_sede=t2.id_sede $secirco order by t1.num_sez",$dbi);
-				for ($z=1;$z<=($offsetsez-$ominsez);$z++) {
-					$res=mysql_fetch_row($res_numsez);
+			}
+#				for ($z=1;$z<=($offsetsez-$ominsez);$z++) {
+				while($res=mysql_fetch_row($res_numsez)) {
+$z=$res[0];
 
 ##############inserimento percentuale di scrutinio nella sezione
@@ -550,5 +564,4 @@
 			if ($res_voti)
 			while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = mysql_fetch_row($res_voti)){
-				if ($num_circ<$minpos or $num_circ>$maxpos) continue;
 					$z=array_search($num_circ, $pos); 
 				if (!isset($votitot[($z)])) {
@@ -568,10 +581,18 @@
 
 
-
-
-			for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[0][$y]="&nbsp;";
-			for ($z=1;$z<=($offsetsez-$ominsez);$z++)
- 				for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[$z][$y]="&nbsp;"; //inizializza le celle interne
-			$onetime="";
+for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[0][$y]="&nbsp;";
+if (strstr( $op,'circo'))
+$lis_sez=mysql_query("select num_circ from ".$prefix."_ele_circoscrizione where id_cons='$id_cons' and num_circ>='$minsez' and num_circ<='$offsetsez' order by num_circ",$dbi);
+else
+	$lis_sez=mysql_query("select num_sez from ".$prefix."_ele_sezioni where id_cons='$id_cons' and num_sez>='$minsez' and num_sez<='$offsetsez' order by num_sez",$dbi);
+$nsezsel=mysql_num_rows($lis_sez);
+while(list($z)=mysql_fetch_row($lis_sez)) 
+{ for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[$z][$y]="&nbsp;";} //inizializza le celle interne
+
+###################################################################
+#			for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[0][$y]="&nbsp;";
+#			for ($z=1;$z<=($offsetsez-$ominsez);$z++)
+ #				for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[$z][$y]="&nbsp;"; //inizializza le celle interne
+			$onetime=""; 
 			if ($res_voti)
 			{
@@ -585,7 +606,8 @@
 						}
 
-					 mysql_data_seek($res_voti,0);			
+					 if(mysql_num_rows($res_voti)) mysql_data_seek($res_voti,0);		
 			while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = mysql_fetch_row($res_voti)){
-				$z=array_search($num_circ, $pos); 
+				if (!isset($temp[$num_cand])) $temp[$num_cand]=0;$temp[$num_cand]+=$voti;
+				$z=array_search($num_circ, $pos); if (!$z) continue;
 				if ($num_cand>=$min and $num_cand<=$offset){
 					if($num_circ>=$minpos and $num_circ <=$maxpos){
@@ -599,6 +621,6 @@
 						$ar[($z)][$num_cand]=$percento;
 					}
-					if (!isset($temp[$num_cand])) $temp[$num_cand]=0;
-					$temp[$num_cand]+=$voti;
+					
+					
 					
 				}
@@ -613,16 +635,16 @@
 				$ar[0][$posvoti+5]='<b>Voti Nulli</b>';
 				if (($maxpos)>=$num_circ and $minpos<=$num_circ){  
-				$posvoti++;
-				$ar[($z)][$posvoti++]="<b>$sevalidi</b>";
-				$ar[($z)][$posvoti++]="<b>$senulli</b>";
-				$ar[($z)][$posvoti++]="<b>$sebianchi</b>";
-				$ar[($z)][$posvoti++]="<b>$secontestati</b>";
-				$ar[($z)][$posvoti]="<b>$sevonulli</b>"; 
-				}
-				}
+				//$posvoti++;
+				$ar[($z)][$posvoti+1]="<b>$sevalidi</b>";
+				$ar[($z)][$posvoti+2]="<b>$senulli</b>";
+				$ar[($z)][$posvoti+3]="<b>$sebianchi</b>";
+				$ar[($z)][$posvoti+4]="<b>$secontestati</b>";
+				$ar[($z)][$posvoti+5]="<b>$sevonulli</b>"; 
+				}
+				} 
 			}
 			}
 			if (($offsetsez+1)>=$num_sez){ 
-				$ar[(2+$offsetsez-$minsez)][0]="<b>"._TOT."<br />"._COMPLESSIVO."</b>";
+				$ar[(1+$numsezmax)][0]="<b>"._TOT."<br />"._COMPLESSIVO."</b>";
 				if(isset($temp)) {
 					 if (!isset($tab15) or !$tab15) $tab15="candidati";
@@ -644,5 +666,5 @@
 					$resvt = mysql_query("SELECT voti from ".$prefix."_ele_voti_$tab15 where id_cons='$id_cons'",$dbi);
 					if($resvt) list($votlt)=mysql_fetch_row($resvt); else $votlt=0;
-					if($perc) $temp3=arrayperc($tempar,$sevaltot);
+					if($perc) $temp3=arrayperc($temp,$sevaltot);
 					while (list($key,$voti)= each($temp)) {
 						if ($perc=='true' and $voticompl) 
@@ -651,5 +673,5 @@
 						} else
 							$percento="<b>$voti</b>";
-						$ar[2+$offsetsez-$minsez][$key]=$percento;
+						$ar[1+$numsezmax][$key]=$percento;
 					}
 				}
@@ -664,5 +686,5 @@
                          $percento="<b>$voti<br /><span class=\"red\"><i>".$temp3[$k]." %</i></span></b>";
                      } else $percento="<b>$voti</b>";
-                     $ar[2+$offsetsez-$minsez][++$key]=$percento;
+                     $ar[1+$numsezmax][++$key]=$percento;
 
 				}
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 264)
+++ /trunk/client/versione.php	(revision 265)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "2.0 rev 263";
+$versione = "2.0 rev 265";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 7 giugno 2017</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 11 giugno 2017</i>)";
 
 ?> 