Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 265)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 266)
@@ -63,5 +63,5 @@
 $res = mysql_query("SELECT t1.descrizione, t1.tipo_cons,t2.genere, t2.voto_g, t2.voto_l, t2.voto_c, t2.circo FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_tipo as t2 where t1.tipo_cons=t2.tipo_cons and t1.id_cons_gen='$id_cons_gen' ", $dbi);
 list($descr_cons,$tipo_cons,$genere,$votog,$votol,$votoc,$circo) = mysql_fetch_row($res);
-$res = mysql_query("SELECT t2.id_cons,t2.solo_gruppo,0 FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
+$res = mysql_query("SELECT t2.id_cons,t2.solo_gruppo,t2.disgiunto FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
 list($id_cons,$dettnulli,$disgiunto) = mysql_fetch_row($res);
 
@@ -147,5 +147,5 @@
 		if (!($offset)) $offset=25;
 		if (!($min)) $min=1;
-		if (!($offsetsez)) $offsetsez=20; 
+		if (!($offsetsez)) $offsetsez=22; 
 		if (!($minsez)) $minsez=1;
 		if ($min>$offset) { 
@@ -182,4 +182,7 @@
 			$res_sez = mysql_query("SELECT count(num_sez),min(num_sez),max(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons",$dbi);
 		list($tot_sez,$numsezmin,$numsezmax)=mysql_fetch_row($res_sez); 
+		$res_sez = mysql_query("SELECT count(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons",$dbi);
+		list($tuttelesez)=mysql_fetch_row($res_sez); 
+
 		$num_sez=$tot_sez;//mysql_data_seek($res_sez,0);
 		if ($circo) $offsetsez=$numsezmax; //$num_sez+$minsez-1;//setta offsetsez sull'ultima sezione della circoscrizione
@@ -231,4 +234,5 @@
 				$res_cand = mysql_query("SELECT id_cand, concat(cognome,' ', nome), num_cand from ".$prefix."_ele_$tab where id_cons=$id_cons and id_lista=$id_lista order by num_cand",$dbi);
 				if ($circo) $condcirc="and t5.id_circ=$id_circ";
+
 				$res_voti = mysql_query("select $tab2, t1.num_cand, concat(t1.cognome,' ', t1.nome), sum(t2.voti),'','','','','' 
 				from ".$prefix."_ele_candidati as t1, ".$prefix."_ele_voti_candidati as t2, "
@@ -279,6 +283,4 @@
 
 
-
-
 				$res_voti = mysql_query("select $tab2, $t.num_$tab15, $t.descrizione, sum(t2.voti), $votigl
 				from 
@@ -396,5 +398,5 @@
 				//echo "</tr><tr><td><b>"._COMUNE." $descr_comune</b> - "._RISULTATI.": $descr_cons <br/>"; 
 				//echo "tot:$tot_scr";
-				//if ($tipo_cons!=4 && $tot_scr) echo " - Sezioni scrutinate: $tot_scr su $tot_sez";
+				//if ($tipo_cons!=4 && $tot_scr) echo " - Sezioni scrutinate: $tot_scr su $tuttelez";
 
 				# liste e gruppi da.... a	  
@@ -497,5 +499,5 @@
 			if (!$csv){
 				echo "<h5> Sezioni scrutinate";
-				if ($tipo_cons!=4) echo ": $tot_scr su $tot_sez &nbsp;&nbsp;&nbsp;  ";
+				if ($tipo_cons!=4) echo ": $tot_scr su $tuttelesez &nbsp;&nbsp;&nbsp;  ";
 				echo "</h5>&nbsp;";
 			}
@@ -608,5 +610,8 @@
 					 if(mysql_num_rows($res_voti)) mysql_data_seek($res_voti,0);		
 			while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = mysql_fetch_row($res_voti)){
-				if (!isset($temp[$num_cand])) $temp[$num_cand]=0;$temp[$num_cand]+=$voti;
+					if($num_cand<$min or $num_cand>$offset) continue;
+
+				if (!isset($temp[$num_cand])) $temp[$num_cand]=0;
+				$temp[$num_cand]+=$voti;
 				$z=array_search($num_circ, $pos); if (!$z) continue;
 				if ($num_cand>=$min and $num_cand<=$offset){
@@ -625,7 +630,8 @@
 					
 				}
+				if (!strstr( $op,'candidato')){
 				if (!isset($tempar[$num_cand])) $tempar[$num_cand]=0;
-				$tempar[$num_cand]+=$voti;
-				if ($visvot!='cand'){
+				$tempar[$num_cand]+=$voti;}
+				if ($visvot!='cand'){ 
 				$posvoti=($offset);
 				$ar[0][$posvoti+1]='<b>Voti Validi</b>';
@@ -634,5 +640,5 @@
 				$ar[0][$posvoti+4]='<b>Voti Contestati</b>';
 				$ar[0][$posvoti+5]='<b>Voti Nulli</b>';
-				if (($maxpos)>=$num_circ and $minpos<=$num_circ){  
+				if (($maxpos)>=$num_circ and $minpos<=$num_circ){ 
 				//$posvoti++;
 				$ar[($z)][$posvoti+1]="<b>$sevalidi</b>";
@@ -645,5 +651,6 @@
 			}
 			}
-			if (($offsetsez+1)>=$num_sez){ 
+
+			if (($offsetsez+1)>=$num_sez){  
 				$ar[(1+$numsezmax)][0]="<b>"._TOT."<br />"._COMPLESSIVO."</b>";
 				if(isset($temp)) {
@@ -660,6 +667,7 @@
                     	$resv = mysql_query("SELECT $votigl from ".$prefix."_ele_sezioni AS t1
 LEFT JOIN soraldo_ele_sede AS t2 ON t1.id_sede = t2.id_sede WHERE t1.id_cons='$id_cons' and t2.id_circ=$id_circ",$dbi);
-                    else
+                    else 
 						$resv = mysql_query("SELECT $votigl from ".$prefix."_ele_sezioni as t1 where t1.id_cons='$id_cons' and  t1.id_sez=(select t2.id_sez from ".$prefix."_ele_voti_$tab15 as t2 where t2.id_sez=t1.id_sez group by t2.id_sez)",$dbi);
+
 					list ($sevaltot,$senultot,$sebiatot,$secontot,$sevnutot)= mysql_fetch_row($resv);
 					$voticompl=$sevaltot+$senultot+$sebiatot+$secontot+$sevnutot;
@@ -818,5 +826,4 @@
 	$res5 = mysql_query("select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' ",$dbi);
 	$sezioni=mysql_num_rows($res5);
-	
 	if ($numero!=0) echo "<h5><i> "._SEZSCRU." $numero "._SU." $sezioni </i></h5>";
 