Index: /trunk/admin/modules/Elezioni/controllo_voti.php
===================================================================
--- /trunk/admin/modules/Elezioni/controllo_voti.php	(revision 268)
+++ /trunk/admin/modules/Elezioni/controllo_voti.php	(revision 269)
@@ -161,5 +161,7 @@
 		if($genere==5 and !$votog) #$validi+$nulli+$bianchi+$vcont+$vn 
 			if($pag==0 and !$votog or $fascia<=$limite) {$controllo1=$validi+$nulli+$bianchi+$contestati+$voti_nulli;} else { $controllo1=$val_lista+$nulli+$bianchi+$contestati+$voti_nulli+$cont_lis+$vot_nul_lis+$solog;$controllo2=$si+$no-$solol+$cont_lis+$vot_nul_lis;}
-		if ($voti==$controllo1 and $validi==$controllo2 and !$g_err){
+		$cerr=mysql_query("select stato_lis from ".$prefix."_ele_controllosez where id_cons='$id_cons' and id_sez='$id'", $dbi);
+		list($crlis)=mysql_fetch_row($cerr);
+		if ($voti==$controllo1 and $validi==$controllo2 and !$g_err and $crlis!=-1){
 			$righe .= "<td>"._OK."</td></tr>\n";
 		}else{
Index: /trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_voti.php	(revision 268)
+++ /trunk/admin/modules/Elezioni/ele_voti.php	(revision 269)
@@ -142,6 +142,6 @@
 		#controllo congruenza voti espressi
 			#per referendum
+		$resref = mysql_query("SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'", $dbi);
 		if($genere==0){ 
-			$resref = mysql_query("SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'", $dbi);
 			$numscru=mysql_num_rows($resref); $rifscru=0;
 			while(list($idrefgruppo)=mysql_fetch_row($resref)) {
@@ -211,7 +211,18 @@
 					if($genere==4 or $votog) $contrlis= ($votisolols==$sololista || $votisolols==0) ? 1:0;
 #################					
-				    else {$contrlis=($sologruppo+$validilista+$contestatilista+$votinullilista)==$validi  ? 1:0;
-if($contrlis and $disgiunto) $contrlis=($votisolols==$sololista  || $votisolols==0) ? 1:0; 
-}
+				    else {
+					$contrlis=($sologruppo+$validilista+$contestatilista+$votinullilista)==$validi  ? 1:0;
+					if($contrlis and $disgiunto) 
+						$contrlis=($votisolols==$sololista  || $votisolols==0) ? 1:0;
+						if($contrlis)
+							while ( list($id_gruppo)=mysql_fetch_row($resref))
+								{
+								$res3= mysql_query("SELECT sum(voti-solo_gruppo) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_gruppo='$id_gruppo'", $dbi);
+								$res4= mysql_query("SELECT sum(voti+nulli_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and  id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo')", $dbi);
+								list($vgruppo)=mysql_fetch_row($res3);
+								list($vliste)=mysql_fetch_row($res4);
+								if($vliste>$vgruppo) $contrlis=0;
+						}
+					}
 #################	
 					
@@ -650,5 +661,21 @@
 			if($votisezcand>($votisezlis*$numprefs))
 				echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti di preferenza $votisezcand <br/>superano i voti di lista $votisezlis</b><br></td></tr></table>";
-			
+		}
+#controllo voti a liste collegate <= voto di gruppo per voto non disgiunto
+	if($genere==5 and !$disgiunto){
+		$resref = mysql_query("SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'", $dbi);				
+		while ( list($id_gruppo)=mysql_fetch_row($resref))
+                    {
+                    $res3= mysql_query("SELECT sum(voti-solo_gruppo) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_gruppo='$id_gruppo'", $dbi);
+                    $res4= mysql_query("SELECT sum(voti+nulli_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and  id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo')", $dbi);
+                    list($vgruppo)=mysql_fetch_row($res3);
+                    list($vliste)=mysql_fetch_row($res4);
+                    if($vliste>$vgruppo)
+                    	{
+                    	 $result = mysql_query("SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
+                    	 list($dgruppo)=mysql_fetch_row($result);
+                    	echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti delle liste collegate<br/> superano i voti assegnati al gruppo $dgruppo </b><br></td></tr></table>";
+                    	}
+                    }
 		}
 
@@ -1283,4 +1310,22 @@
 			echo "<td style=\"background-color: rgb(255, 0, 0); text-align:center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTANTI." ".$tot." "._NO_TOT_VOTI." ".($validi+$nulli+$bianchi+$contestati+$votinulli)."</b><br></td>";
     	}
+#controllo voti a liste collegate <= voto di gruppo per voto non disgiunto
+if($genere==5 and !$disgiunto){
+                $resref = mysql_query("SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'", $dbi);
+                while ( list($id_gruppo)=mysql_fetch_row($resref))
+                    {
+                    $res3= mysql_query("SELECT sum(voti-solo_gruppo) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_gruppo='$id_gruppo'", $dbi);
+                    $res4= mysql_query("SELECT sum(voti+nulli_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and  id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo')", $dbi);
+                    list($vgruppo)=mysql_fetch_row($res3);
+                    list($vliste)=mysql_fetch_row($res4);
+                    if($vliste>$vgruppo)
+                        {
+                         $result = mysql_query("SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
+                         list($dgruppo)=mysql_fetch_row($result);
+                        echo "<td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti delle liste collegate<br/> superano i voti assegnati al gruppo $dgruppo </b><br></td>";
+                        }
+                    }
+}
+
     }
     if(!isset($votinulli)) $votinulli=0;
Index: /trunk/admin/modules/Elezioni/language/lang-en.php
===================================================================
--- /trunk/admin/modules/Elezioni/language/lang-en.php	(revision 268)
+++ /trunk/admin/modules/Elezioni/language/lang-en.php	(revision 269)
@@ -110,8 +110,8 @@
 	case 18: 
 		define("_CONSULTAZIONE","Camera Election"); 
-		define("_GRUPPO","Uninominal Candidate");
-		define("_SOLO_GRUPPO","Uninominal Candidate");
-		define("_LISTA","Associated List");
-		define("_CANDIDATO","Candidate List");
+		define("_GRUPPO","Group Candidate");
+		define("_SOLO_GRUPPO","Ballots for Group Candidate only");
+		define("_LISTA","Linked List");
+		define("_CANDIDATO","Blocked List");
 
 		define("_DESCRCONS","CAMERA");
@@ -119,8 +119,8 @@
 	case 19:
 		define("_CONSULTAZIONE","Senato Election"); 
-		define("_GRUPPO","Uninominal Candidate");
-		define("_SOLO_GRUPPO","Uninominal Candidate");
-		define("_LISTA","Associated List");
-		define("_CANDIDATO","Candidate List");
+		define("_GRUPPO","Group Candidate");
+		define("_SOLO_GRUPPO","Ballots for Group Candidate only");
+		define("_LISTA","Linked List");
+		define("_CANDIDATO","Blocked List");
 
 		define("_DESCRCONS","SENATO");
Index: /trunk/admin/modules/Elezioni/language/lang-it.php
===================================================================
--- /trunk/admin/modules/Elezioni/language/lang-it.php	(revision 268)
+++ /trunk/admin/modules/Elezioni/language/lang-it.php	(revision 269)
@@ -127,5 +127,5 @@
 		define("_CONSULTAZIONE","Consultazione Camera dei deputati"); //genere 5
 		define("_GRUPPO","Candidato Uninominale");
-		define("_SOLO_GRUPPO","Candidato Uninominale");
+		define("_SOLO_GRUPPO","Voti al solo Candidato Uninominale");
 		define("_LISTA","Lista collegata");
 		define("_CANDIDATO","Listino bloccato");
@@ -136,5 +136,5 @@
 		define("_CONSULTAZIONE","Consultazione Senato della Repubblica"); //genere 5
 		define("_GRUPPO","Candidato Uninominale");
-		define("_SOLO_GRUPPO","Candidato Uninominale");
+		define("_SOLO_GRUPPO","Voti al solo Candidato Uninominale");
 		define("_LISTA","Lista collegata");
 		define("_CANDIDATO","Listino bloccato");
@@ -142,10 +142,4 @@
 		define("_DESCRCONS","CAMERA");
 		break;
-        case 28:
-                 define("_CONSULTAZIONE","Consultazione Sindacale"); //genere 2
-                 define("_GRUPPO","Sigla");
-                 define("_DESCRCONS","Rappresentanza Sindacale Unitaria");
-                 define("_CONSI","Candidato Lista");
-                 break;
 
 
Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 268)
+++ /trunk/admin/versione.php	(revision 269)
@@ -1,6 +1,6 @@
 <?php
-$versione = "2.0 rev 267";
+$versione = "2.0 rev 269";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 14 giugno 2017</i>)";
+$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 3 febbraio 2018</i>)";
 
 ?> 
Index: /trunk/client/modules/Elezioni/language/lang-en.php
===================================================================
--- /trunk/client/modules/Elezioni/language/lang-en.php	(revision 268)
+++ /trunk/client/modules/Elezioni/language/lang-en.php	(revision 269)
@@ -141,5 +141,21 @@
 		define("_GRUPPO","Candidate for President");
 		break;
-
+	case 18:
+		define("_CONSULTAZIONE","Camera Election"); //genere 5
+		define("_GRUPPO","Single Candidate");
+		define("_SOLO_GRUPPO","Ballots for Group Candidate only");
+		define("_LISTA","Linked List");
+		define("_CANDIDATO","Bolcked List");
+
+		define("_DESCRCONS","CAMERA");
+		break;
+        case 19:
+		define("_CONSULTAZIONE","Senato Election"); //genere 5
+		define("_GRUPPO","Single Candidate");
+		define("_SOLO_GRUPPO","Ballots for Group Candidate only");
+		define("_LISTA","Linked List");
+		define("_CANDIDATO","Bolcked List");
+
+		define("_DESCRCONS","SENATO");
 }
 
Index: /trunk/client/modules/Elezioni/language/lang-it.php
===================================================================
--- /trunk/client/modules/Elezioni/language/lang-it.php	(revision 268)
+++ /trunk/client/modules/Elezioni/language/lang-it.php	(revision 269)
@@ -438,5 +438,6 @@
 		define("_CONSULTAZIONE","Consultazione Camera dei deputati"); //genere 5
 		define("_GRUPPO","Candidato Uninominale");
-		define("_SOLO_GRUPPO","Candidato Uninominale");
+		define("_GRUPPI","Candidati Uninominali");
+		define("_SOLO_GRUPPO","Voti al solo Candidato Uninominale");
 		define("_LISTA","Lista collegata");
 		define("_CANDIDATO","Listino bloccato");
@@ -447,5 +448,6 @@
 		define("_CONSULTAZIONE","Consultazione Senato della Repubblica"); //genere 5
 		define("_GRUPPO","Candidato Uninominale");
-		define("_SOLO_GRUPPO","Candidato Uninominale");
+		define("_GRUPPI","Candidati Uninominali");
+		define("_SOLO_GRUPPO","Voti al solo Candidato Uninominale");
 		define("_LISTA","Lista collegata");
 		define("_CANDIDATO","Listino bloccato");
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 268)
+++ /trunk/client/versione.php	(revision 269)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "2.0 rev 267";
+$versione = "2.0 rev 269";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 14 giugno 2017</i>)";
+$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 3 febbraio 2018</i>)";
 
 ?> 