Index: trunk/admin/modules/Elezioni/ele_configurazione.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_configurazione.php	(revision 269)
+++ trunk/admin/modules/Elezioni/ele_configurazione.php	(revision 270)
@@ -224,6 +224,8 @@
 		   if($files!=''){
 		    	$sql = mysql_query("SELECT id FROM ".$prefix."_ele_temi where tema='$files'", $dbi);
-		    	list($idwid) = mysql_fetch_row($sql);
-		    	$id = intval($idwid);
+				if($sql){
+					list($idwid) = mysql_fetch_row($sql);
+					$id = intval($idwid);
+				}
 			if (empty($id)) { // inserisce widget db se non esiste
 			$result = mysql_query("insert into ".$prefix."_ele_temi (id,tema) values ( NULL,'$files')", $dbi);
Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 269)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 270)
@@ -80,5 +80,5 @@
 
 function stato_rilevazione($id_sez,$solosede){
-global $id_cons, $prefix, $dbi, $id_cons_gen,$status,$genere,$votol, $votog, $votoc,$idrefgruppo,$num_ril,$circo,$dettnulli;
+global $id_cons, $prefix, $dbi, $id_cons_gen,$status,$genere,$votol, $votog, $votoc,$idrefgruppo,$num_ril,$circo,$dettnulli,$tipo_cons;
 
 if($idrefgruppo and $genere==0) $perref= "and id_gruppo='$idrefgruppo'";
@@ -187,5 +187,5 @@
 #					list($votigs)=mysql_fetch_row($res4);
 					if($votigs>0||$sololista==$validi) {
-						if (($votigs+$sololista)==$validi && (!$votisolog || $votisolog==$sologruppo))
+						if (($votigs+$sololista)==$validi && (!$sologruppo || $votisolog==($sologruppo*$dettnulli) || ($sologruppo<$validi and $validilista+$contestatilista+$votinullilista==0)))
 							{$status=3;$ops=-3;$gru=1;}
 						else {$gru=-1; $stret=4;}
@@ -209,11 +209,11 @@
 					$sezscru=mysql_num_rows($res4);
 			if($sezscru) {
-					if($genere==4 or $votog) $contrlis= ($votisolols==$sololista || $votisolols==0) ? 1:0;
+					if($genere==4 or $votog) {$contrlis= ($votisolols==$sololista || $votisolols==0) ? 1:0; }
 #################					
 				    else {
 					$contrlis=($sologruppo+$validilista+$contestatilista+$votinullilista)==$validi  ? 1:0;
-					if($contrlis and $disgiunto) 
+					if($contrlis and $disgiunto and ($sologruppo+$validilista+$contestatilista+$votinullilista)==0)
 						$contrlis=($votisolols==$sololista  || $votisolols==0) ? 1:0;
-						if($contrlis)
+						if($contrlis  and $tipo_cons==18 or $tipo_cons==19)
 							while ( list($id_gruppo)=mysql_fetch_row($resref))
 								{
@@ -222,5 +222,5 @@
 								list($vgruppo)=mysql_fetch_row($res3);
 								list($vliste)=mysql_fetch_row($res4);
-								if($vliste>$vgruppo) $contrlis=0;
+								if($vliste>$vgruppo) {$contrlis=0 ;} 
 						}
 					}
@@ -556,6 +556,6 @@
 $bgcolor2=$_SESSION['bgcolor2'];
     //controlla se sono stati inseriti i votanti
-$result = mysql_query("SELECT preferenze, id_fascia, id_conf, disgiunto from ".$prefix."_ele_cons_comune where id_cons='$id_cons'",$dbi);
-list($numprefs,$fascia,$id_conf,$disgiunto)=mysql_fetch_row($result);
+$result = mysql_query("SELECT preferenze, id_fascia, id_conf,solo_gruppo, disgiunto from ".$prefix."_ele_cons_comune where id_cons='$id_cons'",$dbi);
+list($numprefs,$fascia,$id_conf,$flagsg,$disgiunto)=mysql_fetch_row($result);
 ####### 06-11-2014 - circoscrizionali - nello spostamento ad altra sezione resta sullo stesso numero di lista anche se sono sezioni di diverse circoscrizioni
 if ($circo and $id_lista){
@@ -600,12 +600,12 @@
 			list($votisezcand)=mysql_fetch_row($result);
 			if((($fascia>$limite or $disgiunto) or !$id_conf) or $genere==4)
-                $result = mysql_query("SELECT voti,solo_lista,0 from ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista='$id_rif'", $dbi);
+                $result = mysql_query("SELECT voti,solo_lista from ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista='$id_rif'", $dbi);
             else{
 
 				$result = mysql_query("SELECT id_gruppo from ".$prefix."_ele_lista where id_lista='$id_rif'", $dbi);
 				list($id_gruppo)=mysql_fetch_row($result);
-				$result = mysql_query("SELECT sum(voti),0,0 from ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_gruppo='$id_gruppo'", $dbi);
+				$result = mysql_query("SELECT sum(voti),0 from ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_gruppo='$id_gruppo'", $dbi);
             }
-			list($votisezlis,$sgpl,$vnpl)=mysql_fetch_row($result);
+			list($votisezlis,$sgpl)=mysql_fetch_row($result);
 			if($votisezcand>($votisezlis*$numprefs))
 				{$segna="style=\"background-color: #dd0000;\"";}
@@ -630,10 +630,15 @@
 		if ((!$id_lista)){$tab="_ele_voti_lista";} else {$tab="_ele_voti_candidati";}
 if(($genere==4 or ($genere==5 and $votog)) and !$id_lista)	
-		$result = mysql_query("SELECT sum(t1.voti),t2.validi, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli,t2.bianchi,t2.nulli,0,0,0,0 from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez=$id_sez group by t1.id_sez",$dbi);
+		$result = mysql_query("SELECT sum(t1.voti),t2.validi, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli,t2.bianchi,t2.nulli,0,0,0 from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez=$id_sez group by t1.id_sez",$dbi);
 else
-		$result = mysql_query("SELECT sum(t1.voti),t2.validi_lista, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli_lista,t2.bianchi,t2.nulli,t2.contestati,t2.voti_nulli,t2.solo_gruppo,t2.solo_lista from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez='$id_sez' group by t1.id_sez",$dbi);
-
-// aggiunte le variabili $sgpl e $vnpl per la gestione dei voti 1) al solo presidente per singola lista - 2) al solo presidente per singola lista perchÃ© nullo o contestato quello di lista		
-		list( $voti_sez, $validi2, $sg,$cont2,$vnulli2,$bia2,$nul2,$con2,$vnul2,$sgpl,$vnpl) = mysql_fetch_row($result);
+		$result = mysql_query("SELECT sum(t1.voti),t2.validi_lista, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli_lista,t2.bianchi,t2.nulli,t2.contestati,t2.voti_nulli,t2.solo_gruppo from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez='$id_sez' group by t1.id_sez",$dbi);
+// aggiunte le variabili $sgpl e $vnulli2 per la gestione dei voti 1) al solo presidente per singola lista - 2) al solo presidente per singola lista perchÃ© nullo o contestato quello di lista		
+		$isscr= mysql_num_rows($result);
+		list( $voti_sez, $validi2, $sg,$cont2,$vnulli2,$bia2,$nul2,$con2,$vnul2,$sgpl) = mysql_fetch_row($result);
+		if(($genere==5 and !$disgiunto and $voti_sez and $flagsg and ($tipo_cons==18 or $tipo_cons==19))){ 
+			$resg = mysql_query("SELECT sum(solo_gruppo) from ".$prefix."_ele_voti_gruppo where id_cons=$id_cons and id_sez=$id_sez",$dbi);
+			list($sgpl)=mysql_fetch_row($resg);
+			if ($sg != $sgpl) echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_UNI." ".$sgpl." "._ATT_TOT_UNI." ".$sg."</b><br></td></table>";
+		}
 		$valista=$validi2;
 		if(!$id_lista or $genere==3){	//controllo di congruenza
@@ -660,8 +665,11 @@
 			list($votisezlis)=mysql_fetch_row($result);
 			if($votisezcand>($votisezlis*$numprefs))
+				{
 				echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti di preferenza $votisezcand <br/>superano i voti di lista $votisezlis</b><br></td></tr></table>";
+				}
 		}
 #controllo voti a liste collegate <= voto di gruppo per voto non disgiunto
-	if($genere==5 and !$disgiunto){
+	$errgrulis=array();
+	if($genere==5 and !$disgiunto  and ($tipo_cons==18 or $tipo_cons==19)){
 		$resref = mysql_query("SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'", $dbi);				
 		while ( list($id_gruppo)=mysql_fetch_row($resref))
@@ -676,4 +684,5 @@
                     	 list($dgruppo)=mysql_fetch_row($result);
                     	echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti delle liste collegate<br/> superano i voti assegnati al gruppo $dgruppo </b><br></td></tr></table>";
+                    	$errgrulis[$id_gruppo]=1;
                     	}
                     }
@@ -745,5 +754,5 @@
 			} 
 		}else {
-			$result1 = mysql_query("select t2.voti,t1.id_lista, descrizione,simbolo,num_lista,t2.nulli_lista,t2.solo_lista 
+			$result1 = mysql_query("select t2.voti,t1.id_lista, descrizione,simbolo,num_lista,t2.nulli_lista,t2.solo_lista,t1.id_gruppo 
 			from ".$prefix."_ele_lista as t1, ".$prefix."_ele_voti_lista as t2
 			where t1.id_cons='$id_cons' 
@@ -753,17 +762,18 @@
 			$num_lista=mysql_num_rows($result1);
 			if (!$num_lista){
-				$result1 = mysql_query("select '',t1.id_lista, descrizione,simbolo,num_lista,'',''
-				from ".$prefix."_ele_lista as t1 where t1.id_cons='$id_cons' $circo
-				order by t1.num_lista", $dbi);
-			}
-			while (list($pro['voti'],$id_lista3,$descr_lista,$simb_lista,$num_lista,$vnpl,$slpl)=mysql_fetch_row($result1)){
+				$result1 = mysql_query("select '',id_lista, descrizione,simbolo,num_lista,'','',id_gruppo
+				from ".$prefix."_ele_lista where id_cons='$id_cons' $circo
+				order by num_lista", $dbi);
+			}
+			while (list($pro['voti'],$id_lista3,$descr_lista,$simb_lista,$num_lista,$vnpl,$slpl,$rifgruppo)=mysql_fetch_row($result1)){
 				echo "<tr bgcolor=\"$bgcolor2\">";
 //				if ($genere<4 or $votoc){
 //				}
-
+				$errcolor='';
+				if(isset($errgrulis[$rifgruppo])) $errcolor="style=\"background-color: rgb(255, 0, 0);\"";
 				echo "<td align=\"center\"><b> $num_lista </b></td>"
 				."<td align=\"left\"><b> $descr_lista</b></td>";
 				$cond_sele="and id_lista=$id_lista3";
-				echo "<td align=\"right\"><input  name=\"voti$i\" value=\"".$pro['voti']."\" size=\"7\"  style=\"text-align:right\">";
+				echo "<td align=\"right\" $errcolor><input  name=\"voti$i\" value=\"".$pro['voti']."\" size=\"7\"  style=\"text-align:right\">";
 				if($dettnulli && !$disgiunto) echo "</td><td align=\"right\"><input  name=\"vnpl$i\" value=\"".$vnpl."\" size=\"7\"  style=\"text-align:right\">";
 				if($disgiunto) echo "</td><td align=\"right\"><input  name=\"slpl$i\" value=\"".$slpl."\" size=\"7\"  style=\"text-align:right\">";
@@ -1211,6 +1221,6 @@
    $tot_voti=$validi+$nulli+$bianchi+$contestati+$votinulli;
 $sololista=$voti_t-$tot_voti;
-	$result= mysql_query("select disgiunto from ".$prefix."_ele_cons_comune where id_cons='$id_cons' ", $dbi);
-	list($disgiunto)=mysql_fetch_row($result);
+	$result= mysql_query("select solo_gruppo,disgiunto from ".$prefix."_ele_cons_comune where id_cons='$id_cons' ", $dbi);
+	list($flagsg,$disgiunto)=mysql_fetch_row($result);
 	$result= mysql_query("select * from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez' ", $dbi);
 	$ar=mysql_fetch_array($result);
@@ -1298,4 +1308,6 @@
 		}
     }else{
+	$result= mysql_query("select solo_gruppo,disgiunto from ".$prefix."_ele_cons_comune where id_cons='$id_cons' ", $dbi);
+	list($flagsg,$disgiunto)=mysql_fetch_row($result);
     	$res = mysql_query("SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
        	list($voti_parz) = mysql_fetch_row($res);
@@ -1310,7 +1322,18 @@
 			echo "<td style=\"background-color: rgb(255, 0, 0); text-align:center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTANTI." ".$tot." "._NO_TOT_VOTI." ".($validi+$nulli+$bianchi+$contestati+$votinulli)."</b><br></td>";
     	}
+		$resg=mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_cons=$id_cons and id_sez=$id_sez",$dbi);
+		list($voti_sez)=mysql_fetch_row($resg);
+		if(($genere==5 and !$disgiunto and $voti_sez and $flagsg and ($tipo_cons==18 or $tipo_cons==19))){
+
+			$resg = mysql_query("SELECT sum(solo_gruppo) from ".$prefix."_ele_voti_gruppo where id_cons=$id_cons and id_sez=$id_sez",$dbi);
+			list($sgpl)=mysql_fetch_row($resg);
+			$resg = mysql_query("SELECT solo_gruppo from ".$prefix."_ele_sezioni where id_cons=$id_cons and id_sez=$id_sez",$dbi);
+			list($sg)=mysql_fetch_row($resg);
+			if ($sg != $sgpl) echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_UNI." ".$sgpl." "._ATT_TOT_UNI." ".$sg."</b><br></td></table>";
+		}
 #controllo voti a liste collegate <= voto di gruppo per voto non disgiunto
-if($genere==5 and !$disgiunto){
+if($genere==5 and !$disgiunto  and ($tipo_cons==18 or $tipo_cons==19)){
                 $resref = mysql_query("SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'", $dbi);
+		  $errgrulis=array();
                 while ( list($id_gruppo)=mysql_fetch_row($resref))
                     {
@@ -1319,6 +1342,7 @@
                     list($vgruppo)=mysql_fetch_row($res3);
                     list($vliste)=mysql_fetch_row($res4);
-                    if($vliste>$vgruppo)
+                    if($vliste>$vgruppo  and ($tipo_cons=18 or $tipo_cons=19))
                         {
+			    $errgrulis[$id_gruppo]=1;
                          $result = mysql_query("SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
                          list($dgruppo)=mysql_fetch_row($result);
@@ -1406,5 +1430,7 @@
 		$res = mysql_query("SELECT * FROM ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$id_gruppo' ", $dbi);
 		$pro= mysql_fetch_array($res, 3);
-		echo "</td><td align=\"right\"><input  name=\"voti$i\" value=\"".$pro['voti']."\" size=\"7\"  style=\"text-align:right\"></td>";
+		$errcolor='';
+		if(isset($errgrulis[$id_gruppo])) $errcolor="style=\"background-color: rgb(255, 0, 0);\"";
+		echo "</td><td align=\"right\" $errcolor><input  name=\"voti$i\" value=\"".$pro['voti']."\" size=\"7\"  style=\"text-align:right\"></td>";
 		if($dettnulli) echo "</td><td align=\"right\"><input  name=\"solog$i\" value=\"".$pro['solo_gruppo']."\" size=\"7\"  style=\"text-align:right\"></td>";
 		$tot_pref += $pro['voti'];
Index: trunk/admin/modules/Elezioni/foto.php
===================================================================
--- trunk/admin/modules/Elezioni/foto.php	(revision 269)
+++ trunk/admin/modules/Elezioni/foto.php	(revision 270)
@@ -53,6 +53,9 @@
 $sql = "select stemma from ".$prefix."_ele_conf where id_com='0'";
 $res = mysql_query($sql,$dbi);
-$dati = mysql_fetch_array($res);
-$stemma = $dati['stemma'];
+if($res)
+	{
+	$dati = mysql_fetch_array($res);
+	$stemma = $dati['stemma'];
+	}
 }
 echo $stemma;
Index: trunk/admin/modules/Elezioni/funzionidata.php
===================================================================
--- trunk/admin/modules/Elezioni/funzionidata.php	(revision 269)
+++ trunk/admin/modules/Elezioni/funzionidata.php	(revision 270)
@@ -42,5 +42,5 @@
 }
 
-function ore($min,$max)
+function ore()
 {
 $ora='';
Index: trunk/admin/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/admin/modules/Elezioni/language/lang-it.php	(revision 269)
+++ trunk/admin/modules/Elezioni/language/lang-it.php	(revision 270)
@@ -19,4 +19,6 @@
 		define("_GRUPPOLOGO","Logo del Presidente");
 		define("_PRESI","Presidente");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_CONSI","Consigliere");
 		define("_DESCRCONS","PROVINCIALI");
@@ -35,4 +37,6 @@
 		define("_PRESI","Sindaco");
 		define("_CONSI","Consigliere");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_SOLO_GRUPPO","Voti al solo candidato Sindaco");
 		define("_DESCRCONS","COMUNALI");
@@ -42,4 +46,6 @@
 		define("_SOLO_GRUPPO","Voti al solo candidato Presidente");
 		define("_DESCRCONS","CIRCOSCRIZIONALI");
+		define("_CANDIDATO","Candidato");
+		define("_LISTA","Lista");
 		break;
 	case 5: 
@@ -48,4 +54,6 @@
 		define("_GRUPPOLOGO","Logo del Sindaco");
 		define("_PRESI","Sindaco");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","BALLOTTAGGIO");
 		break;
@@ -53,4 +61,5 @@
 		define("_CONSULTAZIONE","Consultazione Camera"); //genere 2
 		define("_GRUPPO","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_GRUPPOLOGO","Logo della Lista");
 		define("_DESCRCONS","CAMERA SENZA GRUPPI");
@@ -59,4 +68,5 @@
 		define("_CONSULTAZIONE","Consultazione Senato"); //genere 2
 		define("_GRUPPO","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_GRUPPOLOGO","Logo della Lista");
 		define("_DESCRCONS","SENATO SENZA GRUPPI");
@@ -65,4 +75,5 @@
 		define("_CONSULTAZIONE","Consultazione Parlamentare Europea"); //genere 4
 		define("_GRUPPO","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_GRUPPOLOGO","Logo della Lista");
 		define("_CONSI","Candidato Lista");
@@ -73,4 +84,6 @@
 		define("_GRUPPO","Candidato Presidente");
 		define("_CONSI","Candidato Lista");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_SOLO_GRUPPO","Voti al solo candidato Presidente");
 		define("_DESCRCONS","REGIONALI");
@@ -79,4 +92,6 @@
 		define("_CONSULTAZIONE","Consultazione Senato"); //genere 2
 		define("_GRUPPO","Coalizione");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","SENATO CON GRUPPI");
 		break;
@@ -84,4 +99,6 @@
 		define("_CONSULTAZIONE","Consultazione Camera"); //genere 2
 		define("_GRUPPO","Coalizione");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","CAMERA CON GRUPPI");
 		break;
@@ -92,4 +109,6 @@
 		define("_GRUPPOLOGO","Logo del Presidente");
 		define("_PRESI","Presidente");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_CONSI","Consigliere");
 		define("_DESCRCONS","PROVINCIALI");
@@ -100,4 +119,6 @@
 		define("_GRUPPOLOGO","Logo del Presidente");
 		define("_PRESI","Presidente");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","BALLOTTAGGIO");
 		break;
@@ -107,4 +128,6 @@
 		define("_GRUPPOLOGO","Logo della Lista");
 		define("_CONSI","Candidato Lista");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","EUROPEE");
 		break;
@@ -112,4 +135,6 @@
 		define("_CONSULTAZIONE","Consultazione Camera"); //genere 2
 		define("_GRUPPO","Coalizione");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","CAMERA CON GRUPPI");
 		break;
@@ -117,4 +142,6 @@
 		define("_CONSULTAZIONE","Consultazione Senato"); //genere 2
 		define("_GRUPPO","Coalizione");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","SENATO CON GRUPPI");
 		break;
@@ -122,4 +149,6 @@
 		define("_CONSULTAZIONE","Consultazione Elezioni Regionali"); //genere 5
 		define("_GRUPPO","Candidato Presidente");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","REGIONALI");
 		break;
@@ -130,5 +159,6 @@
 		define("_LISTA","Lista collegata");
 		define("_CANDIDATO","Listino bloccato");
-
+		define("_ATT_UNI","Attenzione! Il dettaglio dei voti");
+		define("_ATT_TOT_UNI","non corrisponde al totale per il solo candidato uninominale");
 		define("_DESCRCONS","CAMERA");
 		break;
@@ -139,5 +169,6 @@
 		define("_LISTA","Lista collegata");
 		define("_CANDIDATO","Listino bloccato");
-
+		define("_ATT_UNI","Attenzione! Il dettaglio dei voti");
+		define("_ATT_TOT_UNI","non corrisponde al totale per il solo candidato uninominale");
 		define("_DESCRCONS","CAMERA");
 		break;
@@ -195,4 +226,5 @@
 define("_TESTATA","Immagine per la testata");
 define("_BLOCCO","Visualizzare il blocco laterale?");
+
 define("_MULTICOMUNE","Gestione multicomune?");
 define("_MOBILE","Usare il tema per il cellulare?");
@@ -328,7 +360,5 @@
 define("_SEZNOS","Sezioni non scrutinate");
 define("_SEZSCR","Sezioni scrutinate");
-define("_LISTA","Lista");
 define("_PREFLISTA","Preferenze di Lista");
-define("_CANDIDATO","Candidato");
 define("_GESAMMIN","Gestione Amministrativa ");
 define("_DESCR","Denominazione");
Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 269)
+++ trunk/admin/versione.php	(revision 270)
@@ -1,6 +1,6 @@
 <?php
-$versione = "2.0 rev 269";
+$versione = "2.0 rev 270";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 3 febbraio 2018</i>)";
+$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 10 febbraio 2018</i>)";
 
 ?> 
Index: trunk/client/modules/Elezioni/blocchi/cerca_candidato.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/cerca_candidato.php	(revision 269)
+++ trunk/client/modules/Elezioni/blocchi/cerca_candidato.php	(revision 270)
@@ -40,5 +40,5 @@
 ';
 
-$cerca_cand=$_SESSION['cerca_cand']; 
+if(isset($_SESSION['cerca_cand'])) $cerca_cand=$_SESSION['cerca_cand']; else $cerca_cand="";
 echo $cerca_cand;
 $_SESSION['cerca_cand']='';
Index: trunk/client/modules/Elezioni/candidato.php
===================================================================
--- trunk/client/modules/Elezioni/candidato.php	(revision 269)
+++ trunk/client/modules/Elezioni/candidato.php	(revision 270)
@@ -136,5 +136,5 @@
 	
 	$res = mysql_query("SELECT id_cons FROM ".$prefix."_ele_candidati where id_cons='$id_cons' and cognome like \"$lettera%\"  ", $dbi);
-    	$max = mysql_num_rows($res);
+    if($res)	$max = mysql_num_rows($res);
 	
 	}
Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 269)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 270)
@@ -181,5 +181,5 @@
 		else
 			$res_sez = mysql_query("SELECT count(num_sez),min(num_sez),max(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons",$dbi);
-		list($tot_sez,$numsezmin,$numsezmax)=mysql_fetch_row($res_sez); 
+		if($res_sez) list($tot_sez,$numsezmin,$numsezmax)=mysql_fetch_row($res_sez); 
 		$res_sez = mysql_query("SELECT count(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons",$dbi);
 		list($tuttelesez)=mysql_fetch_row($res_sez); 
Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 269)
+++ trunk/client/modules/Elezioni/index.php	(revision 270)
@@ -956,5 +956,5 @@
 // funzione visualizzazione delle liste per camera e senato con raggruppamenti/coalizioni
 function liste(){
-global $id_cons,$id_cons_gen,$prefix,$dbi,$min,$offset,$op,$tipo_cons,$prev,$next,$votog,$votol,$circo;
+global $id_cons,$id_cons_gen,$prefix,$dbi,$min,$offset,$op,$tipo_cons,$prev,$next,$votog,$votol,$circo,$genere,$id_comune;
 //dati();
 $offset=10;
Index: trunk/client/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/client/modules/Elezioni/language/lang-it.php	(revision 269)
+++ trunk/client/modules/Elezioni/language/lang-it.php	(revision 270)
@@ -48,7 +48,5 @@
 define("_SEZNOS","Sezioni non scrutinate");
 define("_SEZSCR","Sezioni scrutinate");
-define("_LISTA","Lista");
 define("_PREFLISTA","Preferenze di Lista");
-define("_CANDIDATO","Candidato");
 define("_GESAMMIN","Gestione Amministrativa ");
 define("_DESCR","Denominazione");
@@ -218,4 +216,6 @@
 define("_IDCIRC","Id collegio ");
 define("_CIRC_N","Collegio n. ");
+define("_LISTA","Lista");
+define("_CANDIDATO","Candidato");
 }else{
 define("_CIRCS","Circoscrizioni");
@@ -288,4 +288,6 @@
 		define("_CONSIGLIO","Consiglio Provinciale");
 		define("_ASOLO_GRUPPO","Solo Presidente");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		break;
 	case 2:
@@ -297,4 +299,7 @@
 		define("_SIMBOLO","Scheda");
 		define("_PRESI","Quesito");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		define("_CONSI","Consigliere");
 		break;
 	case 3:
@@ -311,6 +316,8 @@
 		define("_VOTI_LISTA","Voti di lista");
 		define("_ASOLO_GRUPPO","Solo Sindaco");
-		break;
-        case 4:
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		break;
+    case 4:
 		define("_SCELTA_CIR","Scegli la Circoscrizione");
 	    define("_CONSULTAZIONE","Consultazione Elezioni Circoscrizione");
@@ -320,5 +327,7 @@
         define("_CONSI","Consigliere");
 		define("_CONSIGLIO","Consiglio Circoscrizionale");
-                break;
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+        break;
 	case 5: 
 		define("_CONSULTAZIONE","Sessione di Ballottaggio");
@@ -328,4 +337,7 @@
 		define("_GRUPPOLOGO","Logo del Sindaco");
 		define("_PRESI","Presidente");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		define("_CONSI","Consigliere");
 		break;
 	case 6:
@@ -336,4 +348,7 @@
 		define("_GRUPPO","Lista");
 		define("_GRUPPOLOGO","Logo della Lista");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		define("_CONSI","Consigliere");
 		break;
 	case 7:
@@ -344,4 +359,7 @@
 		define("_GRUPPO","Lista");
 		define("_GRUPPOLOGO","Logo della Lista");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		define("_CONSI","Consigliere");
 		break;
 	case 8:
@@ -354,4 +372,6 @@
 		define("_CONSI","Candidato Lista");
 		define("_CONSIGLIO","Consiglio Europeo");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		break;
 	case 9:
@@ -364,4 +384,6 @@
 		define("_CONSI","Candidato Lista");
 		define("_CONSIGLIO","Consiglio Regionale");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		break;
 	
@@ -376,4 +398,7 @@
 		define("_GRUPPOLOGO","Logo della Lista");
 		define("_CONSIGLIO","Senatori");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		define("_CONSI","Consigliere");
 		break;
 	
@@ -387,4 +412,7 @@
 		define("_GRUPPOLOGO","Logo della Lista");
 		define("_CONSIGLIO","Deputati");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		define("_CONSI","Consigliere");
 		break;
 	case 12:
@@ -400,4 +428,5 @@
 		define("_VOTI_LISTA","Voti di lista");
 		define("_CONSIGLIO","Consiglio Provinciale");
+		define("_CONSI","Consigliere");
 		break;
 	case 13: 
@@ -408,4 +437,7 @@
 		define("_GRUPPOLOGO","Logo del Presidente");
 		define("_PRESI","Presidente");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
+		define("_CONSI","Consigliere");
 		break;
 	case 14:
@@ -422,4 +454,5 @@
 		define("_GRUPPO","Coalizione");
 		define("_DESCRCONS","CAMERA CON GRUPPI");
+		define("_CONSI","Consigliere");
 		break;
 	case 16: 
@@ -428,4 +461,5 @@
 		define("_GRUPPO","Coalizione");
 		define("_DESCRCONS","SENATO CON GRUPPI");
+		define("_CONSI","Consigliere");
 		break;
 	case 17:
@@ -434,4 +468,5 @@
 		define("_GRUPPO","Candidato Presidente");
 		define("_DESCRCONS","REGIONALI");
+		define("_CONSI","Consigliere");
 		break;
 	case 18:
@@ -440,18 +475,24 @@
 		define("_GRUPPI","Candidati Uninominali");
 		define("_SOLO_GRUPPO","Voti al solo Candidato Uninominale");
+		define("_ASOLO_GRUPPO","Voti al solo</br>Candidato Uninominale");
 		define("_LISTA","Lista collegata");
 		define("_CANDIDATO","Listino bloccato");
-
+		define("_CONSIGLIO","Consiglio");
+		define("_SIMBOLO","Candidato<br />Uninominale");
 		define("_DESCRCONS","CAMERA");
-		break;
-        case 19:
+		define("_CONSI","Candidato");
+		break;
+    case 19:
 		define("_CONSULTAZIONE","Consultazione Senato della Repubblica"); //genere 5
 		define("_GRUPPO","Candidato Uninominale");
 		define("_GRUPPI","Candidati Uninominali");
 		define("_SOLO_GRUPPO","Voti al solo Candidato Uninominale");
+		define("_ASOLO_GRUPPO","Voti al solo</br>Candidato Uninominale");
 		define("_LISTA","Lista collegata");
 		define("_CANDIDATO","Listino bloccato");
-
+		define("_CONSIGLIO","Consiglio");
+		define("_SIMBOLO","Candidato<br />Uninominale");
 		define("_DESCRCONS","CAMERA");
+		define("_CONSI","Candidato");
 		break;
 
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 269)
+++ trunk/client/versione.php	(revision 270)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "2.0 rev 269";
+$versione = "2.0 rev 270";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 3 febbraio 2018</i>)";
+$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 10 febbraio 2018</i>)";
 
 ?> 