Index: /trunk/admin/modules/Elezioni/ele_associazioni.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 270)
+++ /trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 271)
@@ -57,5 +57,5 @@
 	//
 	function all() {
-	global $user, $admin, $bgcolor1, $bgcolor2, $prefix,$descr_cons, $dbi,$id_cons,$desc,$indirizzo,$centralino,$fax,$id_cons_gen,$id_collegio,$idcomune,$chiusa,$id_conf,$tipo_cons,$language,$help,$preferenze,$idfascia,$vismf,$sg,$disgiunto;
+	global $user, $admin, $bgcolor1, $bgcolor2, $prefix,$descr_cons, $dbi,$id_cons,$desc,$indirizzo,$centralino,$fax,$id_cons_gen,$id_collegio,$idcomune,$chiusa,$id_conf,$tipo_cons,$language,$help,$preferenze,$idfascia,$vismf,$sg,$disgiunto,$id_cons_comu;
 $aid=$_SESSION['aid'];
 $dbi=$_SESSION['dbi'];
@@ -213,5 +213,5 @@
 	}
 	unset($sel);
-	$rescomu = mysql_query("SELECT vismf,solo_gruppo,disgiunto from ".$prefix."_ele_cons_comune where id_cons='$id_cons'", $dbi);
+	$rescomu = mysql_query("SELECT vismf,solo_gruppo,disgiunto from ".$prefix."_ele_cons_comune where id_cons='$id_cons_comu'", $dbi);
 	list($vismf,$sg,$disgiunto)=mysql_fetch_row($rescomu);
 	echo "<td><select name=\"vismf\">";
@@ -251,5 +251,5 @@
 ############
 	echo "<hr><br><table width=\"100%\" border=\"3\">";
-	echo "<tr align=\"center\"><td width=\"15%\" bgcolor=\"$bgcolor1\"><b>"._CONSULTA."</b></td>";
+	echo "<tr align=\"center\"><td width=\"15%\" bgcolor=\"$bgcolor1\"><b>"._CONSULTA."TEST:$id_cons_comu</b></td>";
 #	echo "<td bgcolor=\"$bgcolor1\"><b>"._COLLEGI."</b></td>";
 	echo "<td width=\"20%\" bgcolor=\"$bgcolor1\"><b>"._DEFCOMUNE."</b></td>";
@@ -261,4 +261,6 @@
 		}
 	echo "<td width=\"10%\" bgcolor=\"$bgcolor1\" align=\"center\"><b>"._VISAFFMF."</b></td>";
+	echo "<td width=\"10%\" bgcolor=\"$bgcolor1\" align=\"center\"><b>"._ASOLO_GRUPPO."</b></td>";
+	echo "<td width=\"10%\" bgcolor=\"$bgcolor1\" align=\"center\"><b>"._DISGIUNTO."</b></td>";
 #	echo "<td width=\"10%\" bgcolor=\"$bgcolor1\" align=\"center\"><b>"._SG."</b></td>";
 	echo "<td width=\"10\" bgcolor=\"$bgcolor1\"><b>&nbsp;"._FUNZIONI."</td></tr>";
@@ -268,11 +270,11 @@
 #	$resmod = mysql_query("SELECT t1.id_collegio,t1.id_comune,t2.descrizione as descr,t1.id_cons, t3.descrizione, t4.chiusa,t4.id_conf FROM ".$prefix."_ele_comu_collegi as t1, ".$prefix."_ele_collegi as t2, ".$prefix."_ele_comuni as t3, ".$prefix."_ele_cons_comune as t4 where t1.id_cons_gen='$id_cons_gen' and t1.id_collegio=t2.id_collegio and t1.id_comune=t3.id_comune and t1.id_comune=t4.id_comune and t2.id_cons_gen=t4.id_cons_gen order by t2.descrizione, t3.descrizione", $dbi);
 #	else
-	$resmod = mysql_query("SELECT '',t1.id_comune,'',t1.id_cons, t2.descrizione, t1.chiusa, t1.id_conf, preferenze,t1.id_fascia,t1.vismf,t1.solo_gruppo FROM ".$prefix."_ele_cons_comune as t1, ".$prefix."_ele_comuni as t2 where t1.id_cons_gen='$id_cons_gen' and t1.id_comune=t2.id_comune order by t2.descrizione", $dbi);
-	while (list($id_collegio,$id_comune2,$descr_coll,$id_cons_comu,$descr_comu, $chiusa,$id_conf,$preferenze2,$fasciacom,$vismf) = mysql_fetch_row($resmod)){ //elenco dei modelli inseriti
+	$resmod = mysql_query("SELECT '',t1.id_comune,'',t1.id_cons, t2.descrizione, t1.chiusa, t1.id_conf, preferenze,t1.id_fascia,t1.vismf,t1.solo_gruppo,t1.disgiunto FROM ".$prefix."_ele_cons_comune as t1, ".$prefix."_ele_comuni as t2 where t1.id_cons_gen='$id_cons_gen' and t1.id_comune=t2.id_comune order by t2.descrizione", $dbi);
+	while (list($id_collegio,$id_comune2,$descr_coll,$id_cons_comu,$descr_comu, $chiusa,$id_conf,$preferenze2,$fasciacom,$vismf2,$sg2,$disgiunto2) = mysql_fetch_row($resmod)){ //elenco dei modelli inseriti
 		$resconf = mysql_query("SELECT descrizione FROM ".$prefix."_ele_conf where id_conf='$id_conf'", $dbi);
 		list($descr_conf) = mysql_fetch_row($resconf);
 		$i++;
 		$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
-		if($tipo_cons==3) echo "<tr><td colspan=\"8\">"; else echo "<tr><td colspan=\"6\">";
+		if($tipo_cons==3) echo "<tr><td colspan=\"8\">"; else echo "<tr><td colspan=\"8\">";
 		echo "<form name=\"modello$i\" action=\"admin.php\">"
 			."<input type=\"hidden\" name=\"op\" value=\"associazioni\">";
@@ -305,5 +307,9 @@
 
 		}
-		if ($vismf==0) $sel=_NO; else $sel=_SI;
+		if ($vismf2==0) $sel=_NO; else $sel=_SI;
+		echo "<td width=\"10%\">$sel</td>";
+		if ($sg2==0) $sel=_NO; else $sel=_SI;
+		echo "<td width=\"10%\">$sel</td>";
+		if ($disgiunto2==0) $sel=_NO; else $sel=_SI;
 		echo "<td width=\"10%\">$sel</td>";
 #		if ($sg==0) $sel=_NO; else $sel=_SI;
Index: /trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_voti.php	(revision 270)
+++ /trunk/admin/modules/Elezioni/ele_voti.php	(revision 271)
@@ -223,4 +223,5 @@
 								list($vliste)=mysql_fetch_row($res4);
 								if($vliste>$vgruppo) {$contrlis=0 ;} 
+								if($vliste<$vgruppo) {$contrlis=0 ;} 
 						}
 					}
@@ -558,4 +559,5 @@
 $result = mysql_query("SELECT preferenze, id_fascia, id_conf,solo_gruppo, disgiunto from ".$prefix."_ele_cons_comune where id_cons='$id_cons'",$dbi);
 list($numprefs,$fascia,$id_conf,$flagsg,$disgiunto)=mysql_fetch_row($result);
+
 ####### 06-11-2014 - circoscrizionali - nello spostamento ad altra sezione resta sullo stesso numero di lista anche se sono sezioni di diverse circoscrizioni
 if ($circo and $id_lista){
@@ -672,5 +674,9 @@
 	$errgrulis=array();
 	if($genere==5 and !$disgiunto  and ($tipo_cons==18 or $tipo_cons==19)){
-		$resref = mysql_query("SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'", $dbi);				
+		$resref = mysql_query("SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'", $dbi);
+		$res4= mysql_query("SELECT count(0) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez'", $dbi);
+		list($sezscrl)=mysql_fetch_row($res4); 
+		if ($sezscrl)
+				
 		while ( list($id_gruppo)=mysql_fetch_row($resref))
                     {
@@ -686,4 +692,11 @@
                     	$errgrulis[$id_gruppo]=1;
                     	}
+                    elseif($vliste<$vgruppo)
+                    	{
+                    	 $result = mysql_query("SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
+                    	 list($dgruppo)=mysql_fetch_row($result);
+                    	echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti assegnati al gruppo $dgruppo<br/> superano i voti delle liste collegate </b><br></td></tr></table>";
+                    	$errgrulis[$id_gruppo]=1;
+                    	}
                     }
 		}
@@ -712,5 +725,5 @@
 			echo "<td bgcolor=\"$bgcolor1\" align=\"left\"><b>"._DESCR."</b></td>"
 			."<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._VOTI."</b></td>";
-			if($dettnulli && !$disgiunto)
+			if($dettnulli && !$disgiunto  && $tipo_cons!=18 && $tipo_cons!=19)
 			echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._NULLI_LISTE."</b></td>";
 			if($disgiunto){
@@ -776,5 +789,5 @@
 				$cond_sele="and id_lista=$id_lista3";
 				echo "<td align=\"right\" $errcolor><input  name=\"voti$i\" value=\"".$pro['voti']."\" size=\"7\"  style=\"text-align:right\">";
-				if($dettnulli && !$disgiunto) echo "</td><td align=\"right\"><input  name=\"vnpl$i\" value=\"".$vnpl."\" size=\"7\"  style=\"text-align:right\">";
+				if($dettnulli && !$disgiunto  && $tipo_cons!=18 && $tipo_cons!=19) echo "</td><td align=\"right\"><input  name=\"vnpl$i\" value=\"".$vnpl."\" size=\"7\"  style=\"text-align:right\">";
 				if($disgiunto) echo "</td><td align=\"right\"><input  name=\"slpl$i\" value=\"".$slpl."\" size=\"7\"  style=\"text-align:right\">";
 				echo "<input type=\"hidden\" name=\"id_lista$i\" value=\"$id_lista3\"></td>";
@@ -836,5 +849,5 @@
 
 function rec_voti() {
-	global $prefix, $dbi,$aid,$id_cons,$ops,$genere,$votog,$fileout,$id_comune,$limite,$update,$dettnulli,$disgiunto;
+	global $prefix, $dbi,$aid,$id_cons,$ops,$genere,$votog,$fileout,$id_comune,$limite,$update,$dettnulli,$disgiunto,$tipo_cons;
 	
 	$sqlcomu="select id_fascia,id_conf from ".$prefix."_ele_cons_comune where id_cons='$id_cons'";
@@ -876,5 +889,5 @@
 		$vnrigains=",'0'";
 		$vnriga='';
-		if($dettnulli && !$disgiunto and $condizione!="id_cand") {$vnpl = intval($arg[$i++]); $vnriga=",nulli_lista='$vnpl'"; $vnrigains=",'".$vnpl."'";} else {if (!($condizione=="id_lista")) $vnrigains="";}
+		if($dettnulli && !$disgiunto && $tipo_cons!=18 && $tipo_cons!=19 and $condizione!="id_cand") {$vnpl = intval($arg[$i++]); $vnriga=",nulli_lista='$vnpl'"; $vnrigains=",'".$vnpl."'";} else {if (!($condizione=="id_lista")) $vnrigains="";}
 		if($disgiunto and $condizione!="id_cand") {$slpl = intval($arg[$i++]); $vnriga.=",solo_lista='$slpl'"; $vnrigains.=",'".$slpl."'";} else {$vnriga.=''; if ($condizione=="id_lista") $vnrigains.=",'0'"; else $vnrigains="";}
 		$id_cand = intval($arg[$i]); 
@@ -1282,4 +1295,5 @@
 	."</script>\n";
 // tabella votanti
+	echo "<center>";
     if ($genere!=0){
 	$result = mysql_query("SELECT voti_uomini,voti_donne, voti_complessivi FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez' and id_cons='$id_cons' order by data desc,orario desc limit 0,1", $dbi);
@@ -1290,5 +1304,5 @@
    	echo "</table>";
     }
-	echo "<table  class=\"table-menu\" style=\"width: 50%; color: black\"><tr>";
+	echo "<table  class=\"table-menu\" style=\"width: 50%; color: black\">";
     if ($genere==0){
     	$res = mysql_query("SELECT id_gruppo,si+no,validi,nulli,bianchi,contestati FROM ".$prefix."_ele_voti_ref where id_cons='$id_cons' and id_sez='$id_sez'  ", $dbi);
@@ -1297,5 +1311,5 @@
 				$res2 = mysql_query("SELECT num_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' and id_gruppo='$id_gruppo'  ", $dbi);
 				list($num_gruppo) = mysql_fetch_row($res2);
-				echo "<td style=\"background-color: rgb(255, 0, 0); text-align:center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTI_REF." $num_gruppo: ".$voti_parz." "._NO_VAL_VOTI.": ".$validi."</b><br></td>";
+				echo "<tr><td style=\"background-color: rgb(255, 0, 0); text-align:center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTI_REF." $num_gruppo: ".$voti_parz." "._NO_VAL_VOTI.": ".$validi."</b><br></td></tr>";
 			}
 			$res2 = mysql_query("SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$id_gruppo' ", $dbi);
@@ -1304,5 +1318,5 @@
 				$res2 = mysql_query("SELECT num_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' and id_gruppo='$id_gruppo'", $dbi);
 				list($num_gruppo) = mysql_fetch_row($res2);
-				echo "<td style=\"background-color: rgb(255, 0, 0); text-align:center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTANTI_REF." $num_gruppo: ".$tot." "._NO_SOMMA." ".($validi+$nulli+$bianchi+$contestati)."</b><br></td>";
+				echo "<tr><td style=\"background-color: rgb(255, 0, 0); text-align:center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTANTI_REF." $num_gruppo: ".$tot." "._NO_SOMMA." ".($validi+$nulli+$bianchi+$contestati)."</b><br></td></tr>";
 			}
 		}
@@ -1315,10 +1329,10 @@
     	list($validi,$nulli,$bianchi,$contestati,$solo_lista,$votinulli) = mysql_fetch_row($res);
 		if ($voti_parz!=($validi-$solo_lista) and $voti_parz>0){
-			echo "<td style=\"background-color: rgb(255, 0, 0); text-align:center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTI." ".$voti_parz." "._NO_VAL_VOTI." ".($validi-$solo_lista)."</b><br></td>";
+			echo "<tr><td style=\"background-color: rgb(255, 0, 0); text-align:center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTI." ".$voti_parz." "._NO_VAL_VOTI." ".($validi-$solo_lista)."</b><br></td><tr>";
     	}
 		$res2 = mysql_query("SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
 		list($tot) = mysql_fetch_row($res2);
 		if ($validi+$nulli+$bianchi+$contestati+$votinulli!=$tot and $validi+$nulli+$bianchi+$contestati+$votinulli>0){
-			echo "<td style=\"background-color: rgb(255, 0, 0); text-align:center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTANTI." ".$tot." "._NO_TOT_VOTI." ".($validi+$nulli+$bianchi+$contestati+$votinulli)."</b><br></td>";
+			echo "<tr><td style=\"background-color: rgb(255, 0, 0); text-align:center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTANTI." ".$tot." "._NO_TOT_VOTI." ".($validi+$nulli+$bianchi+$contestati+$votinulli)."</b><br></td></tr>";
     	}
 		$resg=mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_cons=$id_cons and id_sez=$id_sez",$dbi);
@@ -1330,10 +1344,13 @@
 			$resg = mysql_query("SELECT solo_gruppo from ".$prefix."_ele_sezioni where id_cons=$id_cons and id_sez=$id_sez",$dbi);
 			list($sg)=mysql_fetch_row($resg);
-			if ($sg != $sgpl) echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_UNI." ".$sgpl." "._ATT_TOT_UNI." ".$sg."</b><br></td></table>";
+			if ($sg != $sgpl) echo "<tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_UNI." ".$sgpl." "._ATT_TOT_UNI." ".$sg."</b><br></td></tr>";
 		}
 #controllo voti a liste collegate <= voto di gruppo per voto non disgiunto
-if($genere==5 and !$disgiunto  and ($tipo_cons==18 or $tipo_cons==19)){
+if($genere==5 and !$disgiunto and $flagsg  and ($tipo_cons==18 or $tipo_cons==19)){
                 $resref = mysql_query("SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'", $dbi);
 		  $errgrulis=array();
+		$res4= mysql_query("SELECT count(0) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez'", $dbi);
+		list($sezscrl)=mysql_fetch_row($res4); 
+		if ($sezscrl)
                 while ( list($id_gruppo)=mysql_fetch_row($resref))
                     {
@@ -1341,5 +1358,5 @@
                     $res4= mysql_query("SELECT sum(voti+nulli_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and  id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo')", $dbi);
                     list($vgruppo)=mysql_fetch_row($res3);
-                    list($vliste)=mysql_fetch_row($res4);
+                    list($vliste)=mysql_fetch_row($res4); 
                     if($vliste>$vgruppo  and ($tipo_cons=18 or $tipo_cons=19))
                         {
@@ -1347,5 +1364,12 @@
                          $result = mysql_query("SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
                          list($dgruppo)=mysql_fetch_row($result);
-                        echo "<td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti delle liste collegate<br/> superano i voti assegnati al gruppo $dgruppo </b><br></td>";
+                        echo "<tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti delle liste collegate<br/> superano i voti assegnati al gruppo $dgruppo </b><br></td></tr>";
+                        }
+                    elseif($vliste<$vgruppo  and ($tipo_cons=18 or $tipo_cons=19))
+                        {
+			    $errgrulis[$id_gruppo]=1;
+                         $result = mysql_query("SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
+                         list($dgruppo)=mysql_fetch_row($result);
+                        echo "<tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti assegnati al gruppo $dgruppo <br/> superano i voti delle liste collegate</b><br></td></tr>";
                         }
                     }
@@ -1354,7 +1378,7 @@
     }
     if(!isset($votinulli)) $votinulli=0;
-	echo "<td></td></tr></table>";
+	echo "<tr><td></td></tr></table>";
 	if ($validi+$nulli+$bianchi+$contestati+$votinulli>0 or $genere==0) {
-    echo "<table class=\"table-menu\" style=\"width: 60%; color: black\"><tr><td colspan=\"3\"><form name=\"sezioni\" action=\"admin.php\">";
+    echo "<table class=\"table-menu\" style=\" width: 60%; color: black\"><tr><td colspan=\"3\"><form name=\"sezioni\" action=\"admin.php\">";
    	echo "<input type=\"hidden\" name=\"op\" value=\"rec_voti_gruppi\">"
     ."<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\">"
@@ -1387,5 +1411,5 @@
     $i=1;
 	$tot_pref=0;
-       
+       $totsg=0;
     while(list($id_cons2,$id_gruppo,$num_gruppo, $descr_gruppo, $simbolo) = mysql_fetch_row($result)){
   
@@ -1433,5 +1457,8 @@
 		if(isset($errgrulis[$id_gruppo])) $errcolor="style=\"background-color: rgb(255, 0, 0);\"";
 		echo "</td><td align=\"right\" $errcolor><input  name=\"voti$i\" value=\"".$pro['voti']."\" size=\"7\"  style=\"text-align:right\"></td>";
-		if($dettnulli) echo "</td><td align=\"right\"><input  name=\"solog$i\" value=\"".$pro['solo_gruppo']."\" size=\"7\"  style=\"text-align:right\"></td>";
+		$lisgrures = mysql_query("SELECT count(id_lista) FROM ".$prefix."_ele_lista where id_cons='$id_cons' and id_gruppo='$id_gruppo'", $dbi);
+		list($totlis) = mysql_fetch_row($lisgrures);
+		if($totlis>1) $insinp=""; else $insinp= "type hidden ";		
+		if($dettnulli) {echo "</td><td align=\"right\"><input $insinp name=\"solog$i\" value=\"".$pro['solo_gruppo']."\" size=\"7\"  style=\"text-align:right\"></td>"; $totsg+=$pro['solo_gruppo'];} 
 		$tot_pref += $pro['voti'];
 	}
@@ -1446,5 +1473,7 @@
 		$res = mysql_query("SELECT solo_lista FROM ".$prefix."_ele_sezioni where id_sez='$id_sez' ", $dbi);
 		list($sololis)=mysql_fetch_row($res);
-		echo "<tr style=\"background-color: $bgcolor1; text-align:center\"><td></td><td>"._TOTPREF."</td><td>$tot_pref</td></tr>";
+		echo "<tr style=\"background-color: $bgcolor1; text-align:center\"><td></td><td>"._TOTPREF."</td><td>$tot_pref</td>";
+		if($dettnulli) echo "<td>$totsg</td>";
+		echo "</tr>";
 		if($disgiunto)
 			echo "<tr style=\"background-color: $bgcolor1; text-align:center\"><td></td><td>"._SOLOLIS."</td><td><input  name=\"sololista\" value=\"".$sololis."\" size=\"7\"  style=\"text-align:right\"></td></tr>";
@@ -1458,5 +1487,5 @@
 		}
 
-	echo "</td></tr></table>";
+	echo "</td></tr></table></center>";
 	}
     if ($genere!=0){
Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 270)
+++ /trunk/admin/versione.php	(revision 271)
@@ -1,6 +1,6 @@
 <?php
-$versione = "2.0 rev 270";
+$versione = "2.0 rev 271";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 10 febbraio 2018</i>)";
+$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 21 febbraio 2018</i>)";
 
 ?> 
Index: /trunk/client/modules/Elezioni/index.php
===================================================================
--- /trunk/client/modules/Elezioni/index.php	(revision 270)
+++ /trunk/client/modules/Elezioni/index.php	(revision 271)
@@ -192,5 +192,5 @@
     } else {
 	while (list($mid, $title, $preamble,$content,  $editimage) = mysql_fetch_row($result)) {
-  	if ($title != "" && $content != "") {
+  	if ($title != "" && $preamble != "") {
                
                 if ($info=="link"){
Index: /trunk/client/modules/Elezioni/language/lang-it.php
===================================================================
--- /trunk/client/modules/Elezioni/language/lang-it.php	(revision 270)
+++ /trunk/client/modules/Elezioni/language/lang-it.php	(revision 271)
@@ -478,5 +478,5 @@
 		define("_LISTA","Lista collegata");
 		define("_CANDIDATO","Listino bloccato");
-		define("_CONSIGLIO","Consiglio");
+		define("_CONSIGLIO","per il Proporzionale");
 		define("_SIMBOLO","Candidato<br />Uninominale");
 		define("_DESCRCONS","CAMERA");
@@ -491,5 +491,5 @@
 		define("_LISTA","Lista collegata");
 		define("_CANDIDATO","Listino bloccato");
-		define("_CONSIGLIO","Consiglio");
+		define("_CONSIGLIO","per il Proporzionale");
 		define("_SIMBOLO","Candidato<br />Uninominale");
 		define("_DESCRCONS","CAMERA");
Index: /trunk/client/temi/default/menu.php
===================================================================
--- /trunk/client/temi/default/menu.php	(revision 270)
+++ /trunk/client/temi/default/menu.php	(revision 271)
@@ -73,5 +73,5 @@
 	    while(list($id,$descrizione) = mysql_fetch_row($res)) {
 		echo "<li class=\"icon matita\"><a href=\"modules.php?op=gruppo&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;id_cons_gen=$id\">
-	      ".substr($descrizione,0,31)."</a></li>";
+	      ".substr($descrizione,0,60)."</a></li>";
      		
 	    }
@@ -118,6 +118,6 @@
 	  if ($genere!=4) {
 	      if (!$circo and $num_circ>1)
-	      echo "<li class=\"icon candi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=gruppo_circo\">".substr(_GRUPPO." "._PER." "._CIRCO,0,33)."</a></li>";
-	      echo "<li class=\"icon candi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=gruppo_sezione\">".substr(_GRUPPO." "._PER." "._SEZIONI,0,33)."</a></li>";
+	      echo "<li class=\"icon candi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=gruppo_circo\">".substr(_GRUPPO." "._PER." "._CIRCO,0,50)."</a></li>";
+	      echo "<li class=\"icon candi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=gruppo_sezione\">".substr(_GRUPPO." "._PER." "._SEZIONI,0,50)."</a></li>";
 	  }
 
@@ -125,7 +125,7 @@
 			if ($genere>2) {
 				if (!$circo and $num_circ>1)
-				  echo "<li class=\"icon liste\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=lista_circo\">".substr(_LISTA." "._PER." "._CIRCO,0,33)."</a></li>";
+				  echo "<li class=\"icon liste\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=lista_circo\">".substr(_LISTA." "._PER." "._CIRCO,0,50)."</a></li>";
 				  
-				  echo "<li class=\"icon liste\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=lista_sezione\">".substr(_LISTA." "._PER." "._SEZIONI,0,33)."</a></li>";
+				  echo "<li class=\"icon liste\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=lista_sezione\">".substr(_LISTA." "._PER." "._SEZIONI,0,50)."</a></li>";
 
 			         
@@ -136,6 +136,6 @@
 				if (!$votoc){
 			      		if(!$circo and $num_circ>1)
-					echo "<li class=\"icon consi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=candidato_circo\">".substr(_CONSI." "._PER." "._CIRCO,0,33)."</a></li>";
-				  echo "<li class=\"icon consi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=candidato_sezione\">".substr(_CONSI." "._PER." "._SEZIONI,0,33)."</a></li>";
+					echo "<li class=\"icon consi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=candidato_circo\">".substr(_CONSI." "._PER." "._CIRCO,0,50)."</a></li>";
+				  echo "<li class=\"icon consi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=candidato_sezione\">".substr(_CONSI." "._PER." "._SEZIONI,0,50)."</a></li>";
 				
 			}
Index: /trunk/client/temi/facebook/menu.php
===================================================================
--- /trunk/client/temi/facebook/menu.php	(revision 270)
+++ /trunk/client/temi/facebook/menu.php	(revision 271)
@@ -95,6 +95,6 @@
 	 
 	    while(list($id,$descrizione) = mysql_fetch_row($res)) {
-		echo "<li class=\"icon matita\"><a href=\"modules.php?op=gruppo&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;id_cons_gen=$id\">
-	      ".substr($descrizione,0,31)."</a></li>";
+		echo "<li class=\"icon matita\" ><a href=\"modules.php?op=gruppo&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;id_cons_gen=$id\">
+	      ".substr($descrizione,0,33)."</a></li>";
      		
 	    }
@@ -140,6 +140,6 @@
 	  if ($genere!=4) {
 	      if (!$circo and $num_circ>1)
-	      echo "<li class=\"icon candi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=gruppo_circo\">".substr(_GRUPPO." "._PER." "._CIRCO,0,33)."</a></li>";
-	      echo "<li class=\"icon candi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=gruppo_sezione\">".substr(_GRUPPO." "._PER." "._SEZIONI,0,33)."</a></li>";
+	      echo "<li class=\"icon candi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=gruppo_circo\">".substr(_GRUPPO." "._PER." "._CIRCO,0,36)."</a></li>";
+	      echo "<li class=\"icon candi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=gruppo_sezione\">".substr(_GRUPPO." "._PER." "._SEZIONI,0,36)."</a></li>";
 	  }
 
@@ -147,7 +147,7 @@
 			if ($genere>2) {
 				if (!$circo and $num_circ>1)
-				  echo "<li class=\"icon liste\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=lista_circo\">".substr(_LISTA." "._PER." "._CIRCO,0,33)."</a></li>";
+				  echo "<li class=\"icon liste\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=lista_circo\">".substr(_LISTA." "._PER." "._CIRCO,0,36)."</a></li>";
 				  
-				  echo "<li class=\"icon liste\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=lista_sezione\">".substr(_LISTA." "._PER." "._SEZIONI,0,33)."</a></li>";
+				  echo "<li class=\"icon liste\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=lista_sezione\">".substr(_LISTA." "._PER." "._SEZIONI,0,36)."</a></li>";
 
 			         
@@ -158,6 +158,6 @@
 				if (!$votoc){
 			      		if(!$circo and $num_circ>1)
-					echo "<li class=\"icon consi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=candidato_circo\">".substr(_CONSI." "._PER." "._CIRCO,0,33)."</a></li>";
-				  echo "<li class=\"icon consi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=candidato_sezione\">".substr(_CONSI." "._PER." "._SEZIONI,0,33)."</a></li>";
+					echo "<li class=\"icon consi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=candidato_circo\">".substr(_CONSI." "._PER." "._CIRCO,0,36)."</a></li>";
+				  echo "<li class=\"icon consi\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=candidato_sezione\">".substr(_CONSI." "._PER." "._SEZIONI,0,36)."</a></li>";
 				
 			}
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 270)
+++ /trunk/client/versione.php	(revision 271)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "2.0 rev 270";
+$versione = "2.0 rev 271";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 10 febbraio 2018</i>)";
+$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 21 febbraio 2018</i>)";
 
 ?> 