Index: /trunk/admin/modules/Elezioni/ele_sezione.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_sezione.php	(revision 272)
+++ /trunk/admin/modules/Elezioni/ele_sezione.php	(revision 273)
@@ -52,5 +52,5 @@
 	."<td bgcolor=\"$bgcolor1\" align=\"center\" ><b>"._MASCHI."</b></td>"
 	."<td bgcolor=\"$bgcolor1\" align=\"center\" ><b>"._FEMMINE."</b></td>"
-	."<td bgcolor=\"$bgcolor1\" align=\"center\" ><b>"._TOTS." "._VOTANTI."</b></td>"
+	."<td bgcolor=\"$bgcolor1\" align=\"center\" ><b>"._TOTS." "._ISCRITTI."</b></td>"
 	."<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._FUNZIONI."</b></td></tr>";
     $res = mysql_query("SELECT * FROM ".$prefix."_ele_sezioni where id_cons='$id_cons'  ", $dbi);
Index: /trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_voti.php	(revision 272)
+++ /trunk/admin/modules/Elezioni/ele_voti.php	(revision 273)
@@ -1457,8 +1457,8 @@
 		if(isset($errgrulis[$id_gruppo])) $errcolor="style=\"background-color: rgb(255, 0, 0);\"";
 		echo "</td><td align=\"right\" $errcolor><input  name=\"voti$i\" value=\"".$pro['voti']."\" size=\"7\"  style=\"text-align:right\"></td>";
-		$lisgrures = mysql_query("SELECT count(id_lista) FROM ".$prefix."_ele_lista where id_cons='$id_cons' and id_gruppo='$id_gruppo'", $dbi);
-		list($totlis) = mysql_fetch_row($lisgrures);
-		if($totlis>1) $insinp=""; else $insinp= "type =\"hidden\" ";		
-		if($dettnulli) {echo "<td align=\"right\"><input $insinp name=\"solog$i\" value=\"".$pro['solo_gruppo']."\" size=\"7\"  style=\"text-align:right\"></td>"; $totsg+=$pro['solo_gruppo'];} 
+#		$lisgrures = mysql_query("SELECT count(id_lista) FROM ".$prefix."_ele_lista where id_cons='$id_cons' and id_gruppo='$id_gruppo'", $dbi);
+#		list($totlis) = mysql_fetch_row($lisgrures);
+#		if($totlis>1) $insinp=""; else $insinp= "type =\"hidden\" ";		
+		if($dettnulli) {echo "<td align=\"right\"><input name=\"solog$i\" value=\"".$pro['solo_gruppo']."\" size=\"7\"  style=\"text-align:right\"></td>"; $totsg+=$pro['solo_gruppo'];} 
 		$tot_pref += $pro['voti'];
 		echo "</tr>";
Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 272)
+++ /trunk/admin/versione.php	(revision 273)
@@ -1,6 +1,6 @@
 <?php
-$versione = "2.0 rev 271";
+$versione = "2.0 rev 273";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 21 febbraio 2018</i>)";
+$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 27 febbraio 2018</i>)";
 
 ?> 
Index: /trunk/client/modules/Elezioni/blocchi/cerca_candidato.php
===================================================================
--- /trunk/client/modules/Elezioni/blocchi/cerca_candidato.php	(revision 272)
+++ /trunk/client/modules/Elezioni/blocchi/cerca_candidato.php	(revision 273)
@@ -13,4 +13,5 @@
     die ("You can't access this file dirrectly...");
 }
+global $id_comune;
 
 # validatore form
@@ -34,6 +35,7 @@
 		<form method="post" name="form_candi" action="" onsubmit="return validateForm()" >
 		Inserisci il cognome o/e il nome intero del candidato da cercare<br/>
-		<input type="text" name="cognome" maxlength="30" size="10" value="">
-		<input type="submit" value="Cerca">
+		<input type="text" name="cognome" maxlength="30" size="10" value="">';
+echo "<input type=\"hidden\" name=\"id_comune\" value=\"$id_comune\">";
+echo	'<input type="submit" value="Cerca">
 		</form>
 		</div>
@@ -66,8 +68,8 @@
 	}
 
-	$sql_cand= mysql_query("SELECT * FROM ".$prefix."_ele_candidati  where (cognome like '%$cognome%' $numeratore nome like '%$nome%') OR (cognome like '%$nome%' 
-	$numeratore nome like '%$cognome%')", $dbi);
-	$num_tot = mysql_num_rows($sql_cand);
-	$res = mysql_query("SELECT * FROM ".$prefix."_ele_candidati  where (cognome like '%$cognome%' $numeratore nome like '%$nome%') OR (cognome like '%$nome%' 	  $numeratore nome like '%$cognome%')  ORDER BY id_cand DESC LIMIT 0,7", $dbi);
+	$sql_cand= mysql_query("SELECT * FROM ".$prefix."_ele_candidati  where ((cognome like '%$cognome%' $numeratore nome like '%$nome%') OR (cognome like '%$nome%' 
+	$numeratore nome like '%$cognome%')) and id_cons in(select id_cons from ".$prefix."_ele_cons_comune where id_comune='$id_comune')", $dbi);
+	$num_tot = mysql_num_rows($sql_cand); 
+	$res = mysql_query("SELECT * FROM ".$prefix."_ele_candidati  where ((cognome like '%$cognome%' $numeratore nome like '%$nome%') OR (cognome like '%$nome%' 	  $numeratore nome like '%$cognome%'))  and id_cons in(select id_cons from ".$prefix."_ele_cons_comune where id_comune='$id_comune') ORDER BY id_cand DESC LIMIT 0,7", $dbi);
 	while (list($id_cand,$id_cons2,$id_lista,$cognome,$nome,$note,$simbolo,$num_candidato) = mysql_fetch_row($res)) {
 		$res1 = mysql_query("SELECT id_cons_gen FROM ".$prefix."_ele_cons_comune  where id_cons='$id_cons2'" , $dbi);	
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 272)
+++ /trunk/client/versione.php	(revision 273)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "2.0 rev 271";
+$versione = "2.0 rev 273";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 21 febbraio 2018</i>)";
+$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 27 febbraio 2018</i>)";
 
 ?> 