Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 278)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 279)
@@ -632,5 +632,5 @@
 		if ((!$id_lista)){$tab="_ele_voti_lista";} else {$tab="_ele_voti_candidati";}
 if(($genere==4 or ($genere==5 and $votog)) and !$id_lista)	
-		$result = mysql_query("SELECT sum(t1.voti),t2.validi, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli,t2.bianchi,t2.nulli,0,0,0 from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez=$id_sez group by t1.id_sez",$dbi);
+		$result = mysql_query("SELECT sum(t1.voti),t2.validi, t2.solo_gruppo,0,t2.voti_nulli,t2.bianchi,t2.nulli,t2.contestati,0,0 from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez=$id_sez group by t1.id_sez",$dbi);
 else
 		$result = mysql_query("SELECT sum(t1.voti),t2.validi_lista, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli_lista,t2.bianchi,t2.nulli,t2.contestati,t2.voti_nulli,t2.solo_gruppo from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez='$id_sez' group by t1.id_sez",$dbi);
@@ -673,5 +673,5 @@
 #controllo voti a liste collegate <= voto di gruppo per voto non disgiunto
 	$errgrulis=array();
-	if($genere==5 and !$disgiunto  and ($tipo_cons==18 or $tipo_cons==19)){
+	if($genere==5 and ($tipo_cons==18 or $tipo_cons==19)){
 		$resref = mysql_query("SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'", $dbi);
 		$res4= mysql_query("SELECT count(0) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez'", $dbi);
@@ -681,16 +681,21 @@
 		while ( list($id_gruppo)=mysql_fetch_row($resref))
                     {
+					if($disgiunto){	
                     $res3= mysql_query("SELECT sum(voti-solo_gruppo) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_gruppo='$id_gruppo'", $dbi);
                     $res4= mysql_query("SELECT sum(voti+nulli_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and  id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo')", $dbi);
+					}else{
+                    $res3= mysql_query("SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_gruppo='$id_gruppo'", $dbi);
+                    $res4= mysql_query("SELECT sum(voti) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and  id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo')", $dbi);						
+					}
                     list($vgruppo)=mysql_fetch_row($res3);
                     list($vliste)=mysql_fetch_row($res4);
-                    if($vliste>$vgruppo)
+                    if($vliste>$vgruppo and !$disgiunto )
                     	{
                     	 $result = mysql_query("SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
                     	 list($dgruppo)=mysql_fetch_row($result);
-                    	echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti delle liste collegate<br/> superano i voti assegnati al gruppo $dgruppo </b><br></td></tr></table>";
+                    	echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti delle liste collegate $vliste<br/> superano i voti assegnati al gruppo $dgruppo $vgruppo</b><br></td></tr></table>";
                     	$errgrulis[$id_gruppo]=1;
                     	}
-                    elseif($vliste<$vgruppo)
+                    elseif($vliste<$vgruppo and $disgiunto )
                     	{
                     	 $result = mysql_query("SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
@@ -1355,4 +1360,29 @@
                 while ( list($id_gruppo)=mysql_fetch_row($resref))
                     {
+					if($disgiunto){	
+                    $res3= mysql_query("SELECT sum(voti-solo_gruppo) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_gruppo='$id_gruppo'", $dbi);
+                    $res4= mysql_query("SELECT sum(voti+nulli_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and  id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo')", $dbi);
+					}else{
+                    $res3= mysql_query("SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_gruppo='$id_gruppo'", $dbi);
+                    $res4= mysql_query("SELECT sum(voti) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and  id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo')", $dbi);						
+					}
+                    list($vgruppo)=mysql_fetch_row($res3);
+                    list($vliste)=mysql_fetch_row($res4);
+                    if($vliste>$vgruppo and !$disgiunto )
+                    	{
+                    	 $result = mysql_query("SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
+                    	 list($dgruppo)=mysql_fetch_row($result);
+                    	echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti delle liste collegate $vliste<br/> superano i voti assegnati al gruppo $dgruppo $vgruppo</b><br></td></tr></table>";
+                    	$errgrulis[$id_gruppo]=1;
+                    	}
+                    elseif($vliste<$vgruppo and $disgiunto )
+                    	{
+                    	 $result = mysql_query("SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
+                    	 list($dgruppo)=mysql_fetch_row($result);
+                    	echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti assegnati al gruppo $dgruppo<br/> superano i voti delle liste collegate </b><br></td></tr></table>";
+                    	$errgrulis[$id_gruppo]=1;
+                    	}
+                    }					
+ /*                   {
                     $res3= mysql_query("SELECT sum(voti-solo_gruppo) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_gruppo='$id_gruppo'", $dbi);
                     $res4= mysql_query("SELECT sum(voti+nulli_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and  id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo')", $dbi);
@@ -1373,5 +1403,5 @@
                         echo "<tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti assegnati al gruppo $dgruppo <br/> superano i voti delle liste collegate</b><br></td></tr>";
                         }
-                    }
+                    } */
 }
 
Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 278)
+++ trunk/admin/versione.php	(revision 279)
@@ -1,6 +1,6 @@
 <?php
-$versione = "2.0 rev 278";
+$versione = "2.0 rev 279";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 06 maggio 2019</i>)";
+$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 22 maggio 2019</i>)";
 
 ?> 
Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 278)
+++ trunk/client/modules/Elezioni/index.php	(revision 279)
@@ -924,5 +924,5 @@
 		
 		$res_candi = mysql_query("SELECT t1.id_cand , t1.cognome, t1.nome, t1.num_cand, t2.id_cand, sum(t2.voti) as somma  FROM ".$prefix."_ele_candidati as t1 , ".$prefix."_ele_voti_candidati as t2
-		where t1.id_lista='$id_lista' and  t1.id_cand=t2.id_cand  group by t1.id_cand order by somma desc" , $dbi);
+		where t1.id_lista='$id_lista' and  t1.id_cand=t2.id_cand  group by t1.id_cand order by somma desc, t1.num_cand asc" , $dbi);
   		//$res_candi = mysql_query("SELECT id_cand , cognome, nome, num_cand  FROM ".$prefix."_ele_candidati 
 		//where id_lista='$id_lista'  and id_cons='$id_cons order by num_cand" , $dbi);
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 278)
+++ trunk/client/versione.php	(revision 279)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "2.0 rev 278";
+$versione = "2.0 rev 279";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 06 maggio 2019</i>)";
+$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 22 maggio 2019</i>)";
 
 ?> 