Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 280)
+++ trunk/admin/versione.php	(revision 281)
@@ -1,6 +1,6 @@
 <?php
-$versione = "2.0 rev 280";
+$versione = "2.0 rev 281";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 22 maggio 2019</i>)";
+$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 29 maggio 2019</i>)";
 
 ?> 
Index: trunk/client/modules/Elezioni/consiglieri.php
===================================================================
--- trunk/client/modules/Elezioni/consiglieri.php	(revision 280)
+++ trunk/client/modules/Elezioni/consiglieri.php	(revision 281)
@@ -74,6 +74,23 @@
 	if ($fascia<=$limite){
 		$res_lis = mysql_query("SELECT t1.num_gruppo,sum(t2.voti) as voti from ".$prefix."_ele_gruppo as t1,  ".$prefix."_ele_voti_gruppo as t2 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo group by t1.num_gruppo order by voti desc limit 0,2",$dbi);
-		list($num_gruppo1,$voti1)= mysql_fetch_row($res_lis);
-		list($num_gruppo2,$voti2)= mysql_fetch_row($res_lis);
+		if(mysql_num_rows($res_lis)==1)
+		{
+			list($num_gruppo1,$voti1)= mysql_fetch_row($res_lis); 
+			$voti2=0;
+			$res_lis = mysql_query("SELECT sum(maschi+femmine) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
+			list($elettori)=mysql_fetch_row($res_lis); 
+			$res_lis = mysql_query("select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' group by data,orario order by data desc, orario desc limit 0,1",$dbi);
+			list($votanti)=mysql_fetch_row($res_lis); 
+			if($votanti<($elettori/2) || $voti1<($votanti/2))
+			{
+				include(ele.php);
+				echo "<div>Non Ãš possibile assegnare i seggi, la consultazione Ãš nulla</div>";
+				include(footer.php);
+				die();
+			}
+		}else{
+			list($num_gruppo1,$voti1)= mysql_fetch_row($res_lis);
+			list($num_gruppo2,$voti2)= mysql_fetch_row($res_lis);
+		}
 		if ($voti1>$voti2)
 			$numgruppo=$num_gruppo1;
@@ -154,4 +171,6 @@
 if (isset($votol)) {$votolista=$votol; $fisso=$votol;} #se votolista=1 c'e' voto di lista
 if (!isset($sincons)) $sincons=0; #se sincons=1 il sindaco eletto occupa un posto di consigliere
+$res = mysql_query("SELECT t1.num_gruppo,sum(t2.voti) as voti from ".$prefix."_ele_gruppo as t1,  ".$prefix."_ele_voti_gruppo as t2 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo group by t1.num_gruppo order by voti desc limit 0,2",$dbi);
+$numgruppi=mysql_num_rows($res);
 $PNE=_PRIMONON;
 $CSEC=_SINDCONS;
@@ -165,4 +184,5 @@
 $conselcsne=array();
 $conselmin=array();
+$listemin=array();
 //$consel[]=array("Lista","Voti","Seggi","Nominativo","Cifra Elettorale","Quoziente");
 $consel[]=array(_LISTA,_VOTI,_SEGGI,_CANDIDATO,_CIFRAELE,_QUOZIENTI);
@@ -207,5 +227,6 @@
     }#controllo del premio di maggioranza
 //    if ($gruppo[$listagruppo[$lisvin]]>($validi*2/3))
-    if ($gruppo[$listagruppo[$lisvin]]>($validi*$infpremio/100) and $fisso==0) 
+	if($numgruppi==1) $fisso=1;
+    if ($gruppo[$listagruppo[$lisvin]]>($validi*$infpremio/100) and $fisso==1) 
     {
 $seggimag[$lisvin]=number_format($numcons*($gruppo[$listagruppo[$lisvin]]*100/$validi)/100);
Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 280)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 281)
@@ -539,5 +539,8 @@
 		}	
 		elseif($op=="lista_sezione"){
-			$resperc=mysql_query("select sum(validi),sum(contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
+			if($genere==4)
+				$resperc=mysql_query("select sum(validi),0 from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
+			else
+				$resperc=mysql_query("select sum(validi),sum(contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
 			$votiperc=mysql_query("select sum(voti) from ".$prefix."_ele_voti_lista where id_sez='".$res[1]."'",$dbi);
 		}	
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 280)
+++ trunk/client/versione.php	(revision 281)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "2.0 rev 280";
+$versione = "2.0 rev 281";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 22 maggio 2019</i>)";
+$version = "Eleonline $version_number (<i>Ultimo aggiornamento: 29 maggio 2019</i>)";
 
 ?> 